Sync with portage [Thu Jan 12 12:26:14 MSK 2023].

master 2378
root 1 year ago
parent 70cdc87a87
commit fd40a56fe1

Binary file not shown.

Binary file not shown.

@ -1,9 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} pypy3 )
PYTHON_COMPAT=( python3_{8..11} pypy3 )
inherit python-single-r1

@ -1,4 +1,3 @@
DIST ansible-core-2.11.7.tar.gz 7108269 BLAKE2B c5080161bfffc34382db86f3940dbbf1c8194a4413b20ef28b3c15503aec905acfffc864041496b4f6b4b77966fee3221b80e90d4b952e38513ba9ce506ee1ae SHA512 f37c925c5302eff30d17f52a04d4a5311e38ee5c1d6db4fbdb32970afa362e0522d6ec3d07bddf40137b2f5ec5fa03a2b72e7e1ed313c28c207f65490e49af92
DIST ansible-core-2.12.10.tar.gz 7762154 BLAKE2B deffcc42c124a40ce34ce9a26a0c400b1199018cb05478ea8860500e1a507f9f604c1f40f0d006682fc14ad8f0cc3d035b8ffb1307ee37d26191be3c68e33253 SHA512 8b4eb0e923f976680e81ffbe942c4ddc7ddaaaffe83d14c20f78f7c6ab4f548f21920cdfa57b48de2bc24683028e744a92ac4ca45fecc459ea2b042de8c40737
DIST ansible-core-2.13.7.tar.gz 13940230 BLAKE2B fd3556514f7692b48a66987ff5a084b132217c910ba0b216f2533cd1e542a9b6da6d2aa96e8e32142ab3a6ed7357fc1b68b9827ceaf44b91238bfbcb15b5d026 SHA512 f46d8acb07fa1d397e6e640c52237ed70b575ae0760eeb82b9e41afc6c06d99d341856d6af3452edb82e63a708600c2f348782b8bebc18c0ea9b03a4df80594a
DIST ansible-core-2.14.1.tar.gz 14000906 BLAKE2B 86cdf460c3ff6e2877f39f40f9eadc555581045c4a4e1ff301678f9aa7e3116f0bb7084d8841b2bdba50ae119713a226c6353c5e75b9f2a9356073403b04f94a SHA512 d3710aff1dbb04746b663b7c987c3597005dd8633df82f645312e20ddb9c679e7315968c0cf2876ae22ba91d17e4c54ef9cbdb6b825ee1d6f4229e887f8b4571

@ -1,61 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
DISTUTILS_USE_SETUPTOOLS=bdepend
inherit distutils-r1
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://www.ansible.com/"
if [[ ${PV} == 9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/ansible/ansible.git"
EGIT_BRANCH="devel"
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86 ~x64-macos"
fi
LICENSE="GPL-3"
SLOT="0"
IUSE="test"
RESTRICT="test"
RDEPEND="
dev-python/paramiko[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
dev-python/netaddr[${PYTHON_USEDEP}]
dev-python/pexpect[${PYTHON_USEDEP}]
>=dev-python/resolvelib-0.5.3[${PYTHON_USEDEP}]
<dev-python/resolvelib-0.6.0[${PYTHON_USEDEP}]
net-misc/sshpass
virtual/ssh
"
DEPEND="
>=dev-python/packaging-16.6[${PYTHON_USEDEP}]
test? (
${RDEPEND}
dev-python/bcrypt[${PYTHON_USEDEP}]
dev-python/nose[${PYTHON_USEDEP}]
>=dev-python/mock-1.0.1[${PYTHON_USEDEP}]
dev-python/passlib[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-vcs/git
)"
python_compile() {
export ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_compile
}
python_test() {
nosetests -d -w test/units -v --with-coverage --cover-package=ansible --cover-branches || die
}

@ -1,9 +1,9 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_COMPAT=( python3_10 )
DISTUTILS_USE_SETUPTOOLS=bdepend
inherit distutils-r1

@ -3,7 +3,7 @@
EAPI=8
PYTHON_COMPAT=( python3_{8..11} )
PYTHON_COMPAT=( python3_{10..11} )
DISTUTILS_USE_SETUPTOOLS=bdepend
inherit distutils-r1

@ -3,7 +3,7 @@
EAPI=8
PYTHON_COMPAT=( python3_{9..11} )
PYTHON_COMPAT=( python3_{10..11} )
DISTUTILS_USE_SETUPTOOLS=bdepend
inherit distutils-r1

@ -1,9 +1,9 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{9..11} )
PYTHON_COMPAT=( python3_{10..11} )
DISTUTILS_USE_SETUPTOOLS=bdepend
inherit distutils-r1

@ -1,9 +1,9 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{9..10} )
PYTHON_COMPAT=( python3_10 )
DISTUTILS_USE_PEP517=setuptools
inherit distutils-r1

@ -1,9 +1,9 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{9..11} )
PYTHON_COMPAT=( python3_{10..11} )
DISTUTILS_USE_PEP517=setuptools
inherit distutils-r1

@ -1,9 +1,9 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{9..11} )
PYTHON_COMPAT=( python3_{10..11} )
DISTUTILS_USE_PEP517=setuptools
inherit distutils-r1

@ -1,9 +1,9 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{9..10} )
PYTHON_COMPAT=( python3_10 )
DISTUTILS_SINGLE_IMPL=1
DISTUTILS_USE_PEP517=setuptools

@ -1,3 +1,2 @@
DIST ansible-4.6.0.tar.gz 35644507 BLAKE2B 94f544caa81ba7d20493f469483612f2ebf9eb1c4be18006b5ca6afdb3bd45428226340a0658b8f1ebecf8bd06396763ba888bb1cbd48aa6b71aaa6a56542d38 SHA512 5b7fad69628dded0b42a25e3f2fbbcc30ef876dc3f97dc1dff2c7db6443d1506fe5db62bc4d8a00ebfb7dc78ecc205a56bea3bf760f85260c835b2286f63b702
DIST ansible-5.10.0.tar.gz 36898833 BLAKE2B 5705325c150909e4911cbc6fafb9b6194bcd15cf7a97978835b29cb8b87b671fa888163e28e825d1fc98006c57313677afed63236f4a55af415a70daf5fe305f SHA512 d81b34642533dfaf0c3dba5ecc8ba483efb3d82bd40afa469de2778666e932bec3c20e61ae579184fcbd7f1ec7c8d694617f334ebb3e910db3c9f6709d3b9385
DIST ansible-6.7.0.tar.gz 36371372 BLAKE2B 75cb14f158c36ded8313a1c5b798838afdf3a38ffc8e29a87c8e1e3e74c9aeca827432397ad83ed23a1d3aeaaef91822cc3c23aa226a307d93f84f54b25d71bb SHA512 676baf03626d5bf36aea7117d39ef71ba7878ab6bccdec1ee199bd699d559a5f3f6a0d9032ef120204093677b7fbbe1b575529d3aa692acd1a4447f9c2715f3a

@ -1,29 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{8..9} )
inherit distutils-r1
DESCRIPTION="Model-driven deployment, config management, and command execution framework"
HOMEPAGE="https://www.ansible.com/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86 ~x64-macos"
RESTRICT="test"
RDEPEND=">=app-admin/ansible-core-2.11.1
<app-admin/ansible-core-2.12"
python_compile() {
local -x ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_compile
}
python_install() {
local -x ANSIBLE_SKIP_CONFLICT_CHECK=1
distutils-r1_python_install
}

@ -1,7 +1,6 @@
DIST aws-cli-1.27.32.gh.tar.gz 2328348 BLAKE2B 0958525a47f6dac8422dd37c9e099c2bf48d4bb5a8897673d18bb5b747dc6a0806d71cdf92899daf768ffa7cf9b7d39fe559cadad46eabc7913130d98c578d75 SHA512 db034e58761368a72e5a233e49e6c904281635fb47384f984b2ead1bd285bdb0af1a7e7b76d77ddaa6d19496ee1add756e1dbc43044aab1ba2b1f09232a112c9
DIST aws-cli-1.27.37.gh.tar.gz 2332965 BLAKE2B 9c855f02bc63f64e3d9bb706139305a6b3dad523bd2563c9d6ca4b39b340ea242bf8e85ee369ca92d327073d9eb0a4f0e3da59b4016eaa2ce4f48aa083cc9c51 SHA512 3f53d4c15244019d1773486e192bda4ca69a9afe8e32f2fcfd9f56affc3bcc84e15a1aa4b27563f404bc5471b868eabc74c8fb3884deb0372d61a038e101202a
DIST aws-cli-1.27.41.gh.tar.gz 2333941 BLAKE2B ab39bd9acdf7d2d6f7ac6a8168b5959ede6799b4e06e04892fd49fae056b384c4fe9f7d721301b46be90f84fc0ead345968d1bc93399c8d8a374559e10c31519 SHA512 81d36eb1554386968924ea14c42e03fc21ab32ab97750f2d8fd20ac0deb6a6a7184b84b41e06ba0738ece233ff9dba08fe1f9f801bce1a2b38656c73f23e76e0
DIST aws-cli-1.27.42.gh.tar.gz 2334306 BLAKE2B ae531e82fcc4f7fc290d1a383f3d93eb20fc238a759d9f2afefed64998f47958456b9f32345a314e0d34a8817777d47e554fa367845c8d7dcfac27f3e3b6a12e SHA512 f2d976e9892b512a9d0d4bf2a629089aa0b63f273ef6464173cdabbe7e9e348bfaded1e2b1e15656db0ca4245d9de798b6e896da945aab359dacd8f1811bd5ba
DIST aws-cli-1.27.43.gh.tar.gz 2334390 BLAKE2B dce5ebdf220a946084506765a72f6d7afd7a8667c9cc8d4c5ffe39fc0386d96a96f129fe54c5b150b5b47b5cfa1a3a1b3dbd7e8f424191030f5ff22872ac169e SHA512 a927b05bc2dd9eb5c64f4f80e85719f8571f025ab3734beed34720376088f0434c286d050159a7042f1149f3a5c1936588c20faf97cbd4b068d0a74a390876db
DIST aws-cli-1.27.44.gh.tar.gz 2334804 BLAKE2B bd7064f1e7691ce8d66448899083715b6d53b6ed5530366bcd2162046b559503a5ec6b1c56d039745e392c4bad098975dba694f3899a4734b5d985d2c793c93b SHA512 476226affbd8fa533143faebdc3b3131796b3f60fc9704721a3573e0ac0c96fe4bc9ae3dd377a4e6eeba5b74ed13e86a99c629cc4a7dd1a441fb78855bfbcadf
DIST aws-cli-1.27.45.gh.tar.gz 2344942 BLAKE2B 02171244d074008721a5da4b9e640b0da3b77ed90ad8acda300b7256ef62eb663f0bee78a52f025e3f6315306602ba3cb8848e89dbfb6abec6342a0ae04b1009 SHA512 d3daa556c6b93c312dae8ff29941d938cfed7f27e62408f06c32abbeb7324d04a3b8997fd1db9feb78ef1ef1eb98ea2fa456fe179c037127558ecf786e5b69c5
DIST aws-cli-1.27.46.gh.tar.gz 2345966 BLAKE2B e39f6feecad7d940f7cf64bc947f586e13c01c06c78181c2d04ade117797e4e0eae7eccf2823bb0a17f1e347aaafb6430687bcd5e10c932aeaea2430fca62f38 SHA512 5bb3554b7b4ece43c3f9ae0ac6c6dff92af501c34de16d71be9767b9a59740945504a6804be5985f1ee4ca1e328776aa65b80a5bce9d633dffb8066c3b5e65ce
DIST aws-cli-1.27.47.gh.tar.gz 2346342 BLAKE2B d065367cca04ae199a177c5dd21ff49d634084b6a45d5fd0a2c8ff26a9e75fdac7b9735f62816d00cbe7232c53875760e1d528817f5826383ddf8a7c17eb04a0 SHA512 165219463747912ee16bd2de02a1045f96264865a2b253045ff0f5b3ba37a298d7cc07208f7ed3d501da595cb2bf7a3877fdb2137bc737f12a0a14ac0de43d80
DIST aws-cli-1.27.48.gh.tar.gz 2346735 BLAKE2B 798de19b4c64f149b29d3f643c0e69b2cc9ee394eab82a2926251d64f43f5dbc47f5db5466accb2a51945c97d4c10edc64311304d01687f9c73eba1e446a98ee SHA512 fdd8980792505dac94562f1e152e9ba5c1645655a4ce6cd38ea9ca8066dc00ea066ca08b580b889953c82bb4522585d65808509055a98d319ffc65ceb6eb5e94

@ -1,80 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..11} )
inherit bash-completion-r1 distutils-r1 multiprocessing
MY_P=aws-cli-${PV}
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="
https://github.com/aws/aws-cli/
https://pypi.org/project/awscli/
"
SRC_URI="
https://github.com/aws/aws-cli/archive/${PV}.tar.gz
-> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv sparc x86"
# botocore is x.(y+2).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
!app-admin/awscli-bin
"
BDEPEND="
test? (
dev-python/pytest-forked[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
src_prepare() {
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
# strip overzealous upper bounds on requirements
sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
distutils-r1_src_prepare
}
python_test() {
local EPYTEST_DESELECT=(
# TODO
tests/functional/eks/test_kubeconfig.py::TestKubeconfigLoader::test_load_simple
tests/unit/customizations/eks/test_update_kubeconfig.py::TestKubeconfigSelector::test_choose_env_only
tests/unit/customizations/eks/test_update_kubeconfig.py::TestKubeconfigSelector::test_choose_existing
tests/unit/customizations/eks/test_kubeconfig.py::TestKubeconfigValidator::test_valid
)
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit} -n "$(makeopts_jobs)" --forked
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@ -22,7 +22,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv sparc x86"
# botocore is x.(y+2).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(ver_cut 3-)"

@ -1,3 +1 @@
DIST mcelog-182.tar.gz 314857 BLAKE2B fc0716a468ce3eb4fd08806913c7e5e7481f0181f1217bf6e7bc6d675651dd04adac3cd0927428a6f88b15ddd919fbb1c26a4cfd977c3d902906fc09170bb1b3 SHA512 546fd30d16b00efb79e0df49c4c2d7cff08280762f04c4f67c3ceed500dcd19ba63a6eeb55f6ee444f9bbae04431745eb8aa3ded609c10e6be69cf5dd7722443
DIST mcelog-189.tar.gz 314373 BLAKE2B fcd0a2c52eaa8e75b5d4233190e5daccef2500fba024f505a109bd4b4b69881fc65fe28a15c7a1dea7fcc8ad7d3c6a67e14891ae486d5fa352ccaeae7a71fbd7 SHA512 391123c6153788c533dc8caa749997732495206d59801fde80380c2dbc188236a78bd18bfb6fb27fa9112f436dd3e66314f75ce5aed2c85f3a821fe0c12ff7ea
DIST mcelog-190.tar.gz 314409 BLAKE2B 287b5ccba24ef7afe4b2653f2ab8ddd9ae94451e1131941d61031042a039cb9ed633f75b0ddf0035f3fef023cdf67c5c0b01169d0afac4ae47f9badcc55d16ef SHA512 26347d5255c602189961c63f8bf44f0c73b8f7fb0d455108c604a84e73e00303646961759101aab42157d12a7678f8c47277829b0460b0832a64c8b5c913d952

@ -1,51 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{9..10} )
inherit linux-info python-any-r1 systemd toolchain-funcs
DESCRIPTION="A tool to log and decode Machine Check Exceptions"
HOMEPAGE="http://mcelog.org/"
SRC_URI="https://github.com/andikleen/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="selinux"
RDEPEND="selinux? ( sec-policy/selinux-mcelog )"
DEPEND="${PYTHON_DEPS}"
# TODO: add mce-inject to the tree to support test phase
RESTRICT="test"
pkg_pretend() {
if [[ ${MERGE_TYPE} != buildonly ]]; then
local CONFIG_CHECK="~X86_MCE"
kernel_is -ge 4 12 && CONFIG_CHECK+=" ~X86_MCELOG_LEGACY"
check_extra_config
fi
}
src_prepare() {
eapply "${FILESDIR}"/${PN}-0.8_pre1-timestamp-${PN}.patch \
"${FILESDIR}"/${PN}-129-debugflags.patch
eapply_user
tc-export CC
python_fix_shebang genconfig.py
}
src_install() {
default
insinto /etc/logrotate.d/
newins ${PN}.logrotate ${PN}
newinitd "${FILESDIR}"/${PN}.init-r1 ${PN}
systemd_dounit ${PN}.service
dodoc *.pdf
}

@ -1,51 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{9..11} )
inherit linux-info python-any-r1 systemd toolchain-funcs
DESCRIPTION="A tool to log and decode Machine Check Exceptions"
HOMEPAGE="http://mcelog.org/"
SRC_URI="https://github.com/andikleen/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="selinux"
RDEPEND="selinux? ( sec-policy/selinux-mcelog )"
DEPEND="${PYTHON_DEPS}"
# TODO: add mce-inject to the tree to support test phase
RESTRICT="test"
pkg_pretend() {
if [[ ${MERGE_TYPE} != buildonly ]]; then
local CONFIG_CHECK="~X86_MCE"
kernel_is -ge 4 12 && CONFIG_CHECK+=" ~X86_MCELOG_LEGACY"
check_extra_config
fi
}
src_prepare() {
eapply "${FILESDIR}"/${PN}-0.8_pre1-timestamp-${PN}.patch \
"${FILESDIR}"/${PN}-129-debugflags.patch
eapply_user
tc-export CC
python_fix_shebang genconfig.py
}
src_install() {
default
insinto /etc/logrotate.d/
newins ${PN}.logrotate ${PN}
newinitd "${FILESDIR}"/${PN}.init-r1 ${PN}
systemd_dounit ${PN}.service
dodoc *.pdf
}

@ -5,4 +5,7 @@
<email>bkohler@gentoo.org</email>
<name>Ben Kohler</name>
</maintainer>
<upstream>
<remote-id type="github">pixelb/ps_mem</remote-id>
</upstream>
</pkgmetadata>

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@ -11,7 +11,7 @@ arm64? ( http://apt.puppetlabs.com/pool/focal/puppet/${PN:0:1}/${PN}/${PN}_${PV}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
KEYWORDS="amd64 ~arm64"
IUSE="puppetdb selinux"
RESTRICT="strip"

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
@ -16,7 +16,7 @@ SRC_URI="http://downloads.puppetlabs.com/puppet/${P}.tar.gz"
LICENSE="Apache-2.0 GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv x86"
IUSE="augeas diff doc emacs ldap rrdtool selinux shadow sqlite vim-syntax"
RESTRICT="test"
@ -74,7 +74,8 @@ all_ruby_prepare() {
each_ruby_install() {
each_fakegem_install
# dosym "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${P}" "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${PN}"
# dosym "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${P}" \
# "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${PN}"
}
all_ruby_install() {

@ -1,127 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
USE_RUBY="ruby24 ruby25 ruby26 ruby27"
RUBY_FAKEGEM_RECIPE_TEST="rspec3"
RUBY_FAKEGEM_TASK_DOC="doc:all"
RUBY_FAKEGEM_EXTRAINSTALL="locales"
inherit ruby-fakegem systemd tmpfiles
DESCRIPTION="A system automation and configuration management software"
HOMEPAGE="https://puppet.com/"
SRC_URI="http://downloads.puppetlabs.com/puppet/${P}.tar.gz"
LICENSE="Apache-2.0 GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~x86"
IUSE="augeas diff doc emacs ldap rrdtool selinux shadow sqlite vim-syntax"
RESTRICT="test"
ruby_add_rdepend "
dev-ruby/hiera
dev-ruby/json:=
dev-ruby/semantic_puppet
>=dev-ruby/facter-3.0.0
dev-ruby/concurrent-ruby
augeas? ( dev-ruby/ruby-augeas )
diff? ( dev-ruby/diff-lcs )
doc? ( dev-ruby/rdoc )
ldap? ( dev-ruby/ruby-ldap )
shadow? ( dev-ruby/ruby-shadow )
sqlite? ( dev-ruby/sqlite3 )
virtual/ruby-ssl
dev-ruby/hocon"
ruby_add_bdepend "
doc? ( dev-ruby/yard )
test? (
dev-ruby/mocha
dev-ruby/rack
dev-ruby/rspec-its
)"
# this should go in the above lists, but isn't because of test deps not being keyworded
# dev-ruby/rspec-collection_matchers
RDEPEND+=" ${RDEPEND}
rrdtool? ( >=net-analyzer/rrdtool-1.2.23[ruby] )
selinux? (
sys-libs/libselinux[ruby]
sec-policy/selinux-puppet
)
vim-syntax? ( >=app-vim/puppet-syntax-3.0.1 )
>=app-portage/eix-0.18.0
acct-user/puppet
acct-group/puppet"
PDEPEND="emacs? ( >=app-emacs/puppet-mode-0.3-r1 )"
all_ruby_prepare() {
# Avoid spec that require unpackaged json-schema.
rm spec/lib/matchers/json.rb $( grep -Rl matchers/json spec) || die
# fix systemd path
eapply -p0 "${FILESDIR}/puppet-systemd.patch"
# Avoid specs that can only run in the puppet.git repository. This
# should be narrowed down to the specific specs.
rm spec/integration/parser/compiler_spec.rb || die
# Avoid failing spec that need further investigation.
rm spec/unit/module_tool/metadata_spec.rb || die
}
each_ruby_install() {
each_fakegem_install
# dosym "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${P}" "/usr/$(get_libdir)/ruby/gems/$(ruby_get_version)/gems/${PN}"
}
all_ruby_install() {
all_fakegem_install
# systemd stuffs
systemd_dounit "${WORKDIR}/all/${P}/ext/systemd/puppet.service"
# tmpfiles stuff
newtmpfiles "${FILESDIR}/tmpfiles.d" "puppet.conf"
# openrc init stuff
newinitd "${FILESDIR}"/puppet.init-4.x puppet
keepdir /etc/puppetlabs/puppet/ssl
keepdir /var/lib/puppet/facts
keepdir /var/lib/puppet/files
fowners -R puppet:puppet /var/lib/puppet
fperms 0750 /var/lib/puppet
fperms 0750 /etc/puppetlabs
fperms 0750 /etc/puppetlabs/puppet
fperms 0750 /etc/puppetlabs/puppet/ssl
fowners -R :puppet /etc/puppetlabs
fowners -R :puppet /var/lib/puppet
# ext and examples files
for f in $(find ext examples -type f) ; do
docinto "$(dirname ${f})"
dodoc "${f}"
done
}
pkg_postinst() {
tmpfiles_process puppet.conf
elog
elog "Please, *don't* include the --ask option in EMERGE_EXTRA_OPTS as this could"
elog "cause puppet to hang while installing packages."
elog
elog "Portage Puppet module with Gentoo-specific resources:"
elog "http://forge.puppetlabs.com/gentoo/portage"
elog
elog "If updating from puppet 5 to 6, keep in mind that webrick (server/master)"
elog "suppert was removed for >=6.x, please migrate to puppetserver if you have"
elog "not already done so."
elog
}

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@ -13,7 +13,7 @@ LICENSE="Apache-2.0"
SLOT="0"
IUSE="puppetdb"
# will need the same keywords in puppet-agent (puppet-agent now has arm64)
KEYWORDS="~amd64"
KEYWORDS="amd64"
RDEPEND+="
>=virtual/jdk-1.8.0

@ -1,5 +1,3 @@
DIST salt-3002.9.tar.gz 15817470 BLAKE2B 31fb6dbb61a9f0ab22ca761810a934792e9fa9c78628f925e63d3d54d00fa4ea0b4aa806ba3ea92f7397ba3291281bf8989d9a288fb3114c7911cdebfc9acd6a SHA512 f34fd05960a68cba51f34cf8b7c737bd84d00472cec80628f082d16e54cf70705e191ac4b6690bf406a8a11e26c8155e4bdbdec34ede5f0721fd9b5e637a0ed1
DIST salt-3003.5.tar.gz 16056545 BLAKE2B ede3f0c63175f093dca07bee1bfb659cc608336ae92f532fc45868bd7eca659498c42e5d44324492744b802ade088adac869277679989550e217c1a135d6566d SHA512 ebda2056b4d6d216a0689b919d00aa78f615c355d21703d1939dbb6b00e9ad9347be4ee5b861282521f2d337bf7bf2fdc85e6942016358088a094d854fb33be9
DIST salt-3004.2.tar.gz 17685127 BLAKE2B a42e31d8a006488b3a6f341f817cde21ff86248d2b548d9914c429c62d7570cdf46cf2b41311cbb08ced7f9518e68156c6df3eb78e55cacfd4d40a4e7a54f52b SHA512 b2fa434f1d25eabac51d65d75bb020943eb71aff113d683e6f436a0f205bd3c7682b1b7acd4d9a62bf37a47eb0561293d263f3174d5e266f0998a1652fcae2ef
DIST salt-3005.1.tar.gz 17914349 BLAKE2B 697c2068bf119e4a19f92a86ce880fec9375c10ba549cdcdd2182cfeaacce31c7bc4c4c91e1a609906b4c5373bb5e3120e0db47ede5b45ee20942d7b2d201e64 SHA512 391f995f0129f3d7104a0eea4fd83b18aa6ecae0fd7a2c77c1154e24b0bcd52cef4b63db12597c85737bb33ddf605e0c23370cef3bf47f9ea85af5b77d74dc50
DIST salt-3005.tar.gz 17894520 BLAKE2B 67e755bdbe772991f620d09f61836f8ccfa2039722c3281ec4cfaa8ef76e34c57e4db861cc652545e37eb965ab765f6b6ba0250407d7d7448aa5d4685ad9492a SHA512 c2019a97a5a98b4810cdace826d5e0a6d2890a984da4b95109c1b9328a2fd11cafd2fb0ef9752adeea1d36f8b2a69b3a4a6a5a092b6a7f050c60ec52da314a18

@ -1,20 +0,0 @@
diff --git a/tests/unit/modules/test_boto_apigateway.py b/tests/unit/modules/test_boto_apigateway.py
index be26b3f093..ca971556d5 100644
--- a/tests/unit/modules/test_boto_apigateway.py
+++ b/tests/unit/modules/test_boto_apigateway.py
@@ -169,6 +169,7 @@ def _has_required_botocore():
return True
+@skipIf(True, "Causes machines to OOM")
class BotoApiGatewayTestCaseBase(TestCase, LoaderModuleMockMixin):
conn = None
@@ -207,6 +208,7 @@ class BotoApiGatewayTestCaseBase(TestCase, LoaderModuleMockMixin):
self.addCleanup(delattr, self, 'conn')
+@skipIf(True, "Causes machines to OOM")
class BotoApiGatewayTestCaseMixin(object):
def _diff_list_dicts(self, listdict1, listdict2, sortkey):
'''

@ -1,38 +0,0 @@
diff --git a/tests/integration/files/file/base/_modules/runtests_helpers.py b/tests/integration/files/file/base/_modules/runtests_helpers.py
index 3ee0e2da5f..5b462f0a9e 100644
--- a/tests/integration/files/file/base/_modules/runtests_helpers.py
+++ b/tests/integration/files/file/base/_modules/runtests_helpers.py
@@ -18,7 +18,7 @@ try:
from tests.support.runtests import RUNTIME_VARS
except ImportError:
# Salt SSH Tests
- SYS_TMP_DIR = os.path.realpath(
+ SYS_TMP_DIR = os.path.abspath(
# Avoid ${TMPDIR} and gettempdir() on MacOS as they yield a base path too long
# for unix sockets: ``error: AF_UNIX path too long``
# Gentoo Portage prefers ebuild tests are rooted in ${TMPDIR}
diff --git a/tests/support/paths.py b/tests/support/paths.py
index 5f28904858..26245fadf9 100644
--- a/tests/support/paths.py
+++ b/tests/support/paths.py
@@ -48,14 +48,12 @@ if TESTS_DIR not in sys.path:
sys.path.insert(1, TESTS_DIR)
SYS_TMP_DIR = os.path.abspath(
- os.path.realpath(
- # Avoid ${TMPDIR} and gettempdir() on MacOS as they yield a base path too long
- # for unix sockets: ``error: AF_UNIX path too long``
- # Gentoo Portage prefers ebuild tests are rooted in ${TMPDIR}
- os.environ.get("TMPDIR", tempfile.gettempdir())
- if not sys.platform.startswith("darwin")
- else "/tmp"
- )
+ # Avoid ${TMPDIR} and gettempdir() on MacOS as they yield a base path too long
+ # for unix sockets: ``error: AF_UNIX path too long``
+ # Gentoo Portage prefers ebuild tests are rooted in ${TMPDIR}
+ os.environ.get("TMPDIR", tempfile.gettempdir())
+ if not sys.platform.startswith("darwin")
+ else "/tmp"
)
TMP = os.path.join(SYS_TMP_DIR, "salt-tests-tmpdir")
TMP_ROOT_DIR = os.path.join(TMP, "rootdir")

@ -1,30 +0,0 @@
--- salt-3002.5/tests/unit/modules/test_cmdmod.py 2021-02-26 11:01:33.407219444 -0800
+++ salt-3002.5-python3_7/tests/unit/modules/test_cmdmod.py 2021-02-26 11:01:47.709124416 -0800
@@ -560,6 +560,7 @@
self.assertEqual(ret["stdout"], salt.utils.stringutils.to_unicode(stdout))
+ @skipIf(True, "doesn't work in sandbox")
def test_run_all_output_loglevel_debug(self):
"""
Test that specifying debug for loglevel
--- salt-3002.5//tests/unit/utils/test_thin.py 2021-02-26 13:30:47.841179546 -0800
+++ salt-3002.5-python3_7//tests/unit/utils/test_thin.py 2021-02-26 13:41:33.681174531 -0800
@@ -1275,6 +1275,7 @@
@skipIf(
salt.utils.platform.is_windows(), "salt-ssh does not deploy to/from windows"
)
+ @skipIf(True, "does not work with network-sandbox")
def test_thin_dir(self):
"""
Test the thin dir to make sure salt-call can run
--- salt-3002.5/tests/unit/modules/test_cmdmod.py 2021-02-26 13:30:48.014178373 -0800
+++ salt-3002.5-python3_7/tests/unit/modules/test_cmdmod.py 2021-02-26 13:43:22.395441008 -0800
@@ -439,6 +439,7 @@
@skipIf(salt.utils.platform.is_windows(), "Do not run on Windows")
@skipIf(salt.utils.platform.is_darwin(), "Do not run on MacOS")
+ @skipIf(True, "does not work with network-sandbox")
def test_run_cwd_in_combination_with_runas(self):
"""
cmd.run executes command in the cwd directory

@ -1,12 +0,0 @@
diff --git a/tests/unit/modules/test_boto_route53.py b/tests/unit/modules/test_boto_route53.py
index e745f8f8c6..a2bb2a7ef2 100644
--- a/tests/unit/modules/test_boto_route53.py
+++ b/tests/unit/modules/test_boto_route53.py
@@ -80,6 +80,7 @@ def _has_required_moto():
return True
+@skipIf(True, "skipping broken test")
@skipIf(HAS_MOTO is False, "The moto module must be installed.")
@skipIf(
_has_required_moto() is False,

@ -1,11 +0,0 @@
diff --git a/requirements/zeromq.txt b/requirements/zeromq.txt
index 77c9bd8be1..ffa1589043 100644
--- a/requirements/zeromq.txt
+++ b/requirements/zeromq.txt
@@ -1,5 +1,4 @@
-r base.txt
-r crypto.txt
-pyzmq>=17.0.0 ; python_version < "3.9"
-pyzmq>=19.0.2 ; python_version >= "3.9"
+pyzmq

@ -1,33 +0,0 @@
diff --git a/salt/transport/mixins/auth.py b/salt/transport/mixins/auth.py
index de86773750..3ca09260a0 100644
--- a/salt/transport/mixins/auth.py
+++ b/salt/transport/mixins/auth.py
@@ -54,7 +54,7 @@ class AESPubClientMixin:
@salt.ext.tornado.gen.coroutine
def _decode_payload(self, payload):
# we need to decrypt it
- log.trace("Decoding payload: %s", payload)
+ log.debug("Decoding payload: %s", payload)
if payload["enc"] == "aes":
self._verify_master_signature(payload)
try:
diff --git a/tests/unit/utils/test_schema.py b/tests/unit/utils/test_schema.py
index 97bce1f10b..2ff5904b87 100644
--- a/tests/unit/utils/test_schema.py
+++ b/tests/unit/utils/test_schema.py
@@ -835,6 +835,7 @@ class ConfigTestCase(TestCase):
)
@skipIf(HAS_JSONSCHEMA is False, "The 'jsonschema' library is missing")
+ @skipIf(True, "Broken with newer versions of jsonschema")
def test_hostname_config_validation(self):
class TestConf(schema.Schema):
item = schema.HostnameItem(title="Item", description="Item description")
@@ -2060,6 +2061,7 @@ class ConfigTestCase(TestCase):
item = schema.NotItem(item=schema.BooleanItem())
self.assertEqual(item.serialize(), {"not": item.item.serialize()})
+ @skipIf(True, "Broken with newer versions of jsonschema")
@skipIf(HAS_JSONSCHEMA is False, "The 'jsonschema' library is missing")
def test_not_config_validation(self):
class TestConf(schema.Schema):

@ -1,233 +0,0 @@
diff --git a/salt/transport/ipc.py b/salt/transport/ipc.py
index 29210d7522..4fd648116f 100644
--- a/salt/transport/ipc.py
+++ b/salt/transport/ipc.py
@@ -2,7 +2,6 @@
IPC transport classes
"""
-
import errno
import logging
import socket
@@ -20,6 +19,7 @@ from salt.ext.tornado.ioloop import IOLoop
from salt.ext.tornado.ioloop import TimeoutError as TornadoTimeoutError
from salt.ext.tornado.iostream import IOStream, StreamClosedError
from salt.ext.tornado.locks import Lock
+import tornado.iostream
log = logging.getLogger(__name__)
@@ -693,11 +693,11 @@ class IPCMessageSubscriber(IPCClient):
if not first_sync_msg:
# We read at least one piece of data and we're on sync run
break
- except TornadoTimeoutError:
+ except TornadoTimeoutError if isinstance(TornadoTimeoutError, BaseException) else (salt.ext.tornado.ioloop.TimeoutError):
# In the timeout case, just return None.
# Keep 'self._read_stream_future' alive.
ret = None
- except StreamClosedError as exc:
+ except StreamClosedError if isinstance(StreamClosedError, BaseException) else (tornado.iostream.StreamClosedError) as exc:
log.trace("Subscriber disconnected from IPC %s", self.socket_path)
self._read_stream_future = None
except Exception as exc: # pylint: disable=broad-except
diff --git a/tests/integration/grains/test_core.py b/tests/integration/grains/test_core.py
index 5f1cf11e24..8affb398ff 100644
--- a/tests/integration/grains/test_core.py
+++ b/tests/integration/grains/test_core.py
@@ -21,6 +21,7 @@ def _freebsd_or_openbsd():
return salt.utils.platform.is_freebsd() or salt.utils.platform.is_openbsd()
+@pytest.mark.skip("Tests only should run on FreeBSD and OpenBSD")
@pytest.mark.windows_whitelisted
class TestGrainsCore(ModuleCase):
"""
diff --git a/tests/integration/states/test_x509.py b/tests/integration/states/test_x509.py
index 2321689ef5..574de51e56 100644
--- a/tests/integration/states/test_x509.py
+++ b/tests/integration/states/test_x509.py
@@ -468,7 +468,7 @@ c9bcgp7D7xD+TxWWNj4CSXEccJgGr91StV+gFg4ARQ==
first_run[key]["changes"]["Certificate"]["New"]["Not After"],
"%Y-%m-%d %H:%M:%S",
)
- self.assertEqual(29, (expiry - datetime.datetime.now()).days)
+ self.assertEqual(30, (expiry - datetime.datetime.now()).days)
self.assertTrue(os.path.exists(crtfile), "Certificate was not created.")
with salt.utils.files.fopen(crtfile, "r") as first_cert:
@@ -485,14 +485,14 @@ c9bcgp7D7xD+TxWWNj4CSXEccJgGr91StV+gFg4ARQ==
},
)
self.assertEqual(
- "Certificate needs renewal: 29 days remaining but it needs to be at least 90",
+ "Certificate needs renewal: 30 days remaining but it needs to be at least 90",
second_run[key]["changes"]["Status"]["Old"],
)
expiry = datetime.datetime.strptime(
second_run[key]["changes"]["Certificate"]["New"]["Not After"],
"%Y-%m-%d %H:%M:%S",
)
- self.assertEqual(179, (expiry - datetime.datetime.now()).days)
+ self.assertEqual(180, (expiry - datetime.datetime.now()).days)
with salt.utils.files.fopen(crtfile, "r") as second_cert:
self.assertNotEqual(
cert_contents,
diff --git a/tests/pytests/functional/modules/state/requisites/test_listen.py b/tests/pytests/functional/modules/state/requisites/test_listen.py
index b7a90d0ca0..26030f403b 100644
--- a/tests/pytests/functional/modules/state/requisites/test_listen.py
+++ b/tests/pytests/functional/modules/state/requisites/test_listen.py
@@ -292,43 +292,3 @@ def test_listen_requisite_resolution_names(state, state_tree):
assert "test_|-listener_service_|-nginx_|-mod_watch" in ret
assert "test_|-listener_service_|-crond_|-mod_watch" in ret
-
-def test_onlyif_req(state, subtests):
- onlyif = [{}]
- state_id = "test_|-onlyif test_|-onlyif test_|-succeed_with_changes"
- with subtests.test(onlyif=onlyif):
- ret = state.single(
- name="onlyif test", fun="test.succeed_with_changes", onlyif=onlyif
- )
- assert ret[state_id]["result"] is True
- assert ret[state_id]["comment"] == "Success!"
-
- onlyif = [{"fun": "test.true"}]
- state_id = "test_|-onlyif test_|-onlyif test_|-succeed_without_changes"
- with subtests.test(onlyif=onlyif):
- ret = state.single(
- name="onlyif test", fun="test.succeed_without_changes", onlyif=onlyif
- )
- assert ret[state_id]["result"] is True
- assert not ret[state_id]["changes"]
- assert ret[state_id]["comment"] == "Success!"
-
- onlyif = [{"fun": "test.false"}]
- state_id = "test_|-onlyif test_|-onlyif test_|-fail_with_changes"
- with subtests.test(onlyif=onlyif):
- ret = state.single(
- name="onlyif test", fun="test.fail_with_changes", onlyif=onlyif
- )
- assert ret[state_id]["result"] is True
- assert not ret[state_id]["changes"]
- assert ret[state_id]["comment"] == "onlyif condition is false"
-
- onlyif = [{"fun": "test.true"}]
- state_id = "test_|-onlyif test_|-onlyif test_|-fail_with_changes"
- with subtests.test(onlyif=onlyif):
- ret = state.single(
- name="onlyif test", fun="test.fail_with_changes", onlyif=onlyif
- )
- assert ret[state_id]["result"] is False
- assert ret[state_id]["changes"]
- assert ret[state_id]["comment"] == "Failure!"
diff --git a/tests/pytests/unit/modules/test_cmdmod.py b/tests/pytests/unit/modules/test_cmdmod.py
index 5424514160..0564b59593 100644
--- a/tests/pytests/unit/modules/test_cmdmod.py
+++ b/tests/pytests/unit/modules/test_cmdmod.py
@@ -438,6 +438,7 @@ def test_run_cwd_doesnt_exist_issue_7154():
@pytest.mark.skip_on_darwin
@pytest.mark.skip_on_windows
+@pytest.mark.skip("does not work in sandbox environment")
def test_run_cwd_in_combination_with_runas():
"""
cmd.run executes command in the cwd directory
diff --git a/tests/unit/ext/test_ipaddress.py b/tests/unit/ext/test_ipaddress.py
index 3b91757a03..5fa0f88e78 100644
--- a/tests/unit/ext/test_ipaddress.py
+++ b/tests/unit/ext/test_ipaddress.py
@@ -2707,6 +2707,7 @@ class IpaddrUnitTest(TestCase):
"2001:658:22a:cafe:200::1/::ffff:ffff:ffff:ffff",
)
+ @pytest.mark.skip("_cache no longer present in python3.8+")
def testNetworkElementCaching(self):
# V4 - make sure we're empty
self.assertNotIn("broadcast_address", self.ipv4_network._cache)
diff --git a/tests/unit/modules/test_boto_route53.py b/tests/unit/modules/test_boto_route53.py
index e745f8f8c6..ab36a90a79 100644
--- a/tests/unit/modules/test_boto_route53.py
+++ b/tests/unit/modules/test_boto_route53.py
@@ -80,6 +80,7 @@ def _has_required_moto():
return True
+@skipIf(True, "test case appears to be broken")
@skipIf(HAS_MOTO is False, "The moto module must be installed.")
@skipIf(
_has_required_moto() is False,
diff --git a/tests/unit/utils/test_parsers.py b/tests/unit/utils/test_parsers.py
index 907c67f477..2429d27641 100644
--- a/tests/unit/utils/test_parsers.py
+++ b/tests/unit/utils/test_parsers.py
@@ -5,6 +5,7 @@
import os
import shutil
import tempfile
+import pytest
import salt.config
import salt.log.setup as log
@@ -983,6 +984,7 @@ class SaltRunOptionParserTestCase(ParserBase, TestCase):
if os.path.exists(self.log_file):
os.unlink(self.log_file)
+ @pytest.mark.skip("Tries to write to /var")
def test_jid_option(self):
jid = salt.utils.jid.gen_jid({})
args = ["--jid", jid]
@@ -991,6 +993,7 @@ class SaltRunOptionParserTestCase(ParserBase, TestCase):
parser.parse_args(args)
assert parser.options.jid == jid
+ @pytest.mark.skip("Tries to write to /var")
def test_jid_option_invalid(self):
jid = salt.utils.jid.gen_jid({}) + "A"
args = ["--jid", jid]
@@ -1041,6 +1044,7 @@ class SaltSSHOptionParserTestCase(ParserBase, TestCase):
if os.path.exists(self.ssh_log_file):
os.unlink(self.ssh_log_file)
+ @pytest.mark.skip("Tries to write to /var")
def test_jid_option(self):
jid = salt.utils.jid.gen_jid({})
args = ["--jid", jid] + self.args
@@ -1049,6 +1053,7 @@ class SaltSSHOptionParserTestCase(ParserBase, TestCase):
parser.parse_args(args)
assert parser.options.jid == jid
+ @pytest.mark.skip("Tries to write to /var")
def test_jid_option_invalid(self):
jid = salt.utils.jid.gen_jid({}) + "A"
args = ["--jid", jid] + self.args
diff --git a/tests/unit/utils/test_vt.py b/tests/unit/utils/test_vt.py
index bf7a323e26..3c8ce3a128 100644
--- a/tests/unit/utils/test_vt.py
+++ b/tests/unit/utils/test_vt.py
@@ -17,6 +17,8 @@ import subprocess
import sys
import time
+import pytest
+
import salt.utils
import salt.utils.files
import salt.utils.platform
@@ -275,6 +277,7 @@ class VTTestCase(TestCase):
salt.utils.platform.is_windows(), "Skip VT tests on windows, due to issue 54290"
)
@fixStdOutErrFileNoIfNeeded
+ @pytest.mark.skip("Does not work in sandbox environment")
def test_split_multibyte_characters_unicode(self):
"""
Tests that the vt correctly handles multibyte characters that are
@@ -342,6 +345,7 @@ class VTTestCase(TestCase):
salt.utils.platform.is_windows(), "Skip VT tests on windows, due to issue 54290"
)
@fixStdOutErrFileNoIfNeeded
+ @pytest.mark.skip("Does not work in sandbox environment")
def test_split_multibyte_characters_shiftjis(self):
"""
Tests that the vt correctly handles multibyte characters that are

@ -1,12 +0,0 @@
diff --git a/requirements/zeromq.txt b/requirements/zeromq.txt
index 35d9014713..ffa1589043 100644
--- a/requirements/zeromq.txt
+++ b/requirements/zeromq.txt
@@ -1,6 +1,4 @@
-r base.txt
-r crypto.txt
-pyzmq<=20.0.0 ; python_version < "3.6"
-pyzmq>=17.0.0 ; python_version < "3.9"
-pyzmq>=19.0.2 ; python_version >= "3.9"
+pyzmq

@ -1,52 +0,0 @@
diff --git a/tests/conftest.py b/tests/conftest.py
index 0fc1844bc8..32346da1f6 100644
--- a/tests/conftest.py
+++ b/tests/conftest.py
@@ -34,7 +34,6 @@ import salt.utils.files
import salt.utils.path
import salt.utils.platform
import salt.utils.win_functions
-import saltfactories.utils.compat
from salt.serializers import yaml
from salt.utils.immutabletypes import freeze
from tests.support.helpers import (
@@ -465,9 +464,7 @@ def pytest_runtest_setup(item):
item._skipped_by_mark = True
pytest.skip(PRE_PYTEST_SKIP_REASON)
- if saltfactories.utils.compat.has_unittest_attr(
- item, "__slow_test__"
- ) or item.get_closest_marker("slow_test"):
+ if item.get_closest_marker("slow_test"):
if item.config.getoption("--run-slow") is False:
item._skipped_by_mark = True
pytest.skip("Slow tests are disabled!")
diff --git a/tests/unit/utils/test_schema.py b/tests/unit/utils/test_schema.py
index ef7acdb7a3..22953556cb 100644
--- a/tests/unit/utils/test_schema.py
+++ b/tests/unit/utils/test_schema.py
@@ -1,6 +1,8 @@
# pylint: disable=function-redefined
import copy
+import pytest
+
import salt.utils.json
import salt.utils.schema as schema
import salt.utils.stringutils
@@ -822,6 +824,7 @@ class ConfigTestCase(TestCase):
},
)
+ @pytest.mark.skip("broken with newer versions of jsonschema")
@skipIf(HAS_JSONSCHEMA is False, "The 'jsonschema' library is missing")
def test_hostname_config_validation(self):
class TestConf(schema.Schema):
@@ -2048,6 +2051,7 @@ class ConfigTestCase(TestCase):
item = schema.NotItem(item=schema.BooleanItem())
self.assertEqual(item.serialize(), {"not": item.item.serialize()})
+ @pytest.mark.skip("broken with newer versions of jsonschema")
@skipIf(HAS_JSONSCHEMA is False, "The 'jsonschema' library is missing")
def test_not_config_validation(self):
class TestConf(schema.Schema):

@ -1,188 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
inherit systemd distutils-r1
DESCRIPTION="Salt is a remote execution and configuration manager"
HOMEPAGE="https://www.saltstack.com/resources/community/
https://github.com/saltstack"
if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/${PN}stack/${PN}.git"
EGIT_BRANCH="develop"
SRC_URI=""
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
fi
LICENSE="Apache-2.0"
SLOT="0"
IUSE="cheetah cherrypy ldap libcloud libvirt genshi gnupg keyring mako
mongodb neutron nova openssl portage profile redis selinux test raet
+zeromq vim-syntax"
RDEPEND="
sys-apps/pciutils
>=dev-python/distro-1.5[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/libnacl[${PYTHON_USEDEP}]
>=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
>=dev-python/pycryptodome-3.9.8[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/markupsafe[${PYTHON_USEDEP}]
>=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/tomli[${PYTHON_USEDEP}]
dev-python/watchdog[${PYTHON_USEDEP}]
libcloud? ( >=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}] )
mako? ( dev-python/mako[${PYTHON_USEDEP}] )
ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
<dev-python/importlib_metadata-5[${PYTHON_USEDEP}]
libvirt? (
dev-python/libvirt-python[${PYTHON_USEDEP}]
)
openssl? (
dev-libs/openssl:0=[-bindist(-)]
dev-python/pyopenssl[${PYTHON_USEDEP}]
)
raet? (
>=dev-python/libnacl-1.0.0[${PYTHON_USEDEP}]
>=dev-python/ioflo-1.1.7[${PYTHON_USEDEP}]
>=dev-python/raet-0.6.0[${PYTHON_USEDEP}]
)
cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
cheetah? ( dev-python/cheetah3[${PYTHON_USEDEP}] )
genshi? ( dev-python/genshi[${PYTHON_USEDEP}] )
mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
redis? ( dev-python/redis-py[${PYTHON_USEDEP}] )
selinux? ( sec-policy/selinux-salt )
nova? (
>=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}]
)
neutron? (
>=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}]
)
gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
vim-syntax? ( app-vim/salt-vim )
zeromq? ( >=dev-python/pyzmq-19.0.0[${PYTHON_USEDEP}] )
"
BDEPEND="
test? (
${RDEPEND}
>=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
>=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
>=dev-python/libcloud-0.14.0[${PYTHON_USEDEP}]
dev-python/mako[${PYTHON_USEDEP}]
>=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
>=dev-python/moto-0.3.6[${PYTHON_USEDEP}]
dev-python/pip[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
>=dev-python/pytest-salt-factories-0.93.0[${PYTHON_USEDEP}]
dev-python/pytest-tempdir[${PYTHON_USEDEP}]
>=dev-python/virtualenv-20.0.20[${PYTHON_USEDEP}]
net-dns/bind-tools
!x86? ( >=dev-python/boto3-1.3.15[${PYTHON_USEDEP}] )
)"
DOCS=( README.rst AUTHORS )
REQUIRED_USE="
|| ( raet zeromq )
test? ( cheetah genshi )
"
RESTRICT="!test? ( test ) x86? ( test )"
PATCHES=(
"${FILESDIR}/salt-2019.2.0-skip-tests-that-oom-machine.patch"
"${FILESDIR}/salt-3002-dont-realpath-on-tmpdir.patch"
"${FILESDIR}/salt-3002-tests.patch"
"${FILESDIR}/salt-3002.5-tests.patch"
"${FILESDIR}/salt-3002.7-tests.patch"
"${FILESDIR}/salt-3004.2-jinja-3.patch"
"${FILESDIR}/salt-3002.8-tests.patch"
"${FILESDIR}/salt-3002.8-relax-pyzmq-dep.patch"
)
python_prepare_all() {
# remove tests with external dependencies that may not be available, and
# tests that don't work in sandbox
rm tests/unit/{test_{zypp_plugins,module_names},utils/test_{extend,cache}}.py || die
rm tests/unit/modules/test_{file,boto_{vpc,secgroup,elb}}.py || die
rm tests/unit/states/test_boto_vpc.py || die
rm tests/support/gitfs.py tests/unit/runners/test_git_pillar.py || die
rm salt/utils/virtualbox.py || die
# tests that require network access
rm tests/unit/{states,modules}/test_zcbuildout.py || die
sed -i 's:log.trace(:log.debug(:' \
salt/fileserver/roots.py salt/grains/core.py salt/states/saltmod.py || die
# make sure pkg_resources doesn't bomb because pycrypto isn't installed
# make sure pkg_resources doesn't bomb because pycrypto isn't installed
find "${S}" -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d ; /pycryptodomex/ d' -i || die
# pycryptodome rather than pycryptodomex
find "${S}" -name '*.py' -print0 | xargs -0 -- sed -i -e 's:Cryptodome:Crypto:g' -- || die
distutils-r1_python_prepare_all
}
python_prepare() {
einfo "Fixing collections.abc warnings for ${EPYTHON}"
local abc
abc="$("${EPYTHON}" -c 'import collections.abc; print("|".join((c for c in dir(collections.abc) if not c.startswith("_"))))')" || die
find -name '*.py' -type f -print0 | xargs -0 sed -r -e "s:collections\\.(${abc}):collections.abc.\\1:g" -i || die
}
python_install_all() {
local svc
USE_SETUPTOOLS=1 distutils-r1_python_install_all
for svc in minion master syndic api; do
newinitd "${FILESDIR}"/${svc}-initd-5 salt-${svc}
newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
systemd_dounit "${FILESDIR}"/salt-${svc}.service
done
insinto /etc/${PN}
doins -r conf/*
}
python_test() {
local tempdir
# testsuite likes lots of files
ulimit -n 3072 || die
# ${T} is too long a path for the tests to work
tempdir="$(mktemp -du --tmpdir=/tmp salt-XXX)"
mkdir "${T}/$(basename "${tempdir}")"
(
cleanup() { rm -f "${tempdir}" || die; }
trap cleanup EXIT
addwrite "${tempdir}"
ln -s "$(realpath --relative-to=/tmp "${T}/$(basename "${tempdir}")")" "${tempdir}" || die
USE_SETUPTOOLS=1 NO_INTERNET=1 SHELL="/bin/bash" \
TMPDIR="${tempdir}" \
${EPYTHON} tests/runtests.py \
--unit-tests --no-report --verbose \
|| die "testing failed with ${EPYTHON}"
)
}
pkg_postinst() {
:
}

@ -1,197 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..9} )
inherit systemd distutils-r1
DESCRIPTION="Salt is a remote execution and configuration manager"
HOMEPAGE="https://www.saltstack.com/resources/community/
https://github.com/saltstack"
if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/${PN}stack/${PN}.git"
EGIT_BRANCH="develop"
SRC_URI=""
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
fi
LICENSE="Apache-2.0"
SLOT="0"
IUSE="cheetah cherrypy ldap libcloud libvirt genshi gnupg keyring mako
mongodb neutron nova openssl portage profile redis selinux test raet
+zeromq vim-syntax"
RDEPEND="
sys-apps/pciutils
>=dev-python/distro-1.5[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/libnacl[${PYTHON_USEDEP}]
>=dev-python/msgpack-1.0.0[${PYTHON_USEDEP}]
>=dev-python/pycryptodome-3.9.8[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/markupsafe[${PYTHON_USEDEP}]
>=dev-python/requests-1.0.0[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
dev-python/tomli[${PYTHON_USEDEP}]
dev-python/watchdog[${PYTHON_USEDEP}]
libcloud? ( >=dev-python/libcloud-2.5.0[${PYTHON_USEDEP}] )
mako? ( dev-python/mako[${PYTHON_USEDEP}] )
ldap? ( dev-python/python-ldap[${PYTHON_USEDEP}] )
<dev-python/importlib_metadata-5[${PYTHON_USEDEP}]
libvirt? (
dev-python/libvirt-python[${PYTHON_USEDEP}]
)
openssl? (
dev-libs/openssl:0=[-bindist(-)]
dev-python/pyopenssl[${PYTHON_USEDEP}]
)
raet? (
>=dev-python/libnacl-1.0.0[${PYTHON_USEDEP}]
>=dev-python/ioflo-1.1.7[${PYTHON_USEDEP}]
>=dev-python/raet-0.6.0[${PYTHON_USEDEP}]
)
cherrypy? ( >=dev-python/cherrypy-3.2.2[${PYTHON_USEDEP}] )
cheetah? ( dev-python/cheetah3[${PYTHON_USEDEP}] )
genshi? ( dev-python/genshi[${PYTHON_USEDEP}] )
mongodb? ( dev-python/pymongo[${PYTHON_USEDEP}] )
portage? ( sys-apps/portage[${PYTHON_USEDEP}] )
keyring? ( dev-python/keyring[${PYTHON_USEDEP}] )
redis? ( dev-python/redis-py[${PYTHON_USEDEP}] )
selinux? ( sec-policy/selinux-salt )
nova? (
>=dev-python/python-novaclient-2.17.0[${PYTHON_USEDEP}]
)
neutron? (
>=dev-python/python-neutronclient-2.3.6[${PYTHON_USEDEP}]
)
gnupg? ( dev-python/python-gnupg[${PYTHON_USEDEP}] )
profile? ( dev-python/yappi[${PYTHON_USEDEP}] )
vim-syntax? ( app-vim/salt-vim )
zeromq? ( >=dev-python/pyzmq-19.1.0[${PYTHON_USEDEP}] )
"
BDEPEND="
test? (
${RDEPEND}
>=dev-python/boto-2.32.1[${PYTHON_USEDEP}]
>=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
dev-python/mako[${PYTHON_USEDEP}]
>=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
>=dev-python/moto-1.3.14[${PYTHON_USEDEP}]
dev-python/pip[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pyopenssl[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
=dev-python/pytest-salt-factories-0.121*[${PYTHON_USEDEP}]
dev-python/pytest-tempdir[${PYTHON_USEDEP}]
dev-python/pytest-helpers-namespace[${PYTHON_USEDEP}]
dev-python/pytest-subtests[${PYTHON_USEDEP}]
dev-python/flaky[${PYTHON_USEDEP}]
dev-python/libcloud[${PYTHON_USEDEP}]
net-dns/bind-tools
>=dev-python/virtualenv-20.0.20[${PYTHON_USEDEP}]
!x86? ( >=dev-python/boto3-1.19.63[${PYTHON_USEDEP}] )
)"
DOCS=( README.rst AUTHORS )
REQUIRED_USE="|| ( raet zeromq )
test? ( cheetah genshi )"
RESTRICT="!test? ( test ) x86? ( test )"
# tests currently broken
RESTRICT+=" test"
PATCHES=(
"${FILESDIR}/salt-3003-skip-tests-that-oom-machine.patch"
"${FILESDIR}/salt-3003-gentoolkit-revdep.patch"
"${FILESDIR}/salt-3002-tests.patch"
"${FILESDIR}/salt-3003.3-tests.patch"
"${FILESDIR}/salt-3003.1-tests.patch"
"${FILESDIR}/salt-3004.2-jinja-3.patch"
"${FILESDIR}/salt-3003.4-tests.patch"
"${FILESDIR}/salt-3003.4-relax-pyzmq-dep.patch"
"${FILESDIR}/salt-3004.2-pyzmq-23.patch"
)
python_prepare_all() {
# remove tests with external dependencies that may not be available, and
# tests that don't work in sandbox
rm tests/unit/{test_{zypp_plugins,module_names},utils/test_extend}.py || die
rm tests/unit/modules/test_{file,boto_{vpc,secgroup,elb}}.py || die
rm tests/unit/states/test_boto_vpc.py || die
rm tests/support/gitfs.py tests/unit/runners/test_git_pillar.py || die
rm tests/pytests/functional/transport/server/test_req_channel.py || die
# tests that require network access
rm tests/unit/{states,modules}/test_zcbuildout.py || die
rm -r tests/integration/cloud || die
rm -r tests/kitchen/tests/wordpress/tests || die
rm tests/kitchen/test_kitchen.py || die
rm tests/unit/modules/test_network.py || die
# tests require root access
rm tests/integration/pillar/test_git_pillar.py || die
rm tests/integration/states/test_supervisord.py || die
rm tests/pytests/unit/client/test_ssh.py || die
# make sure pkg_resources doesn't bomb because pycrypto isn't installed
find "${S}" -name '*.txt' -print0 | xargs -0 sed -e '/pycrypto>/ d ; /pycryptodomex/ d' -i || die
# pycryptodome rather than pycryptodomex
find "${S}" -name '*.py' -print0 | xargs -0 -- sed -i -e 's:Cryptodome:Crypto:g' -- || die
distutils-r1_python_prepare_all
}
python_prepare() {
einfo "Fixing collections.abc warnings for ${EPYTHON}"
local abc
abc="$("${EPYTHON}" -c 'import collections.abc; print("|".join((c for c in dir(collections.abc) if not c.startswith("_"))))')" || die
find -name '*.py' -type f -print0 | xargs -0 sed -r -e "s:collections\\.(${abc}):collections.abc.\\1:g" -i || die
# removes contextvars, see bug: https://bugs.gentoo.org/799431
sed -i '/^contextvars/d' requirements/base.txt || die
}
python_install_all() {
local svc
USE_SETUPTOOLS=1 distutils-r1_python_install_all
for svc in minion master syndic api; do
newinitd "${FILESDIR}"/${svc}-initd-5 salt-${svc}
newconfd "${FILESDIR}"/${svc}-confd-1 salt-${svc}
systemd_dounit "${FILESDIR}"/salt-${svc}.service
done
insinto /etc/${PN}
doins -r conf/*
}
python_test() {
# testsuite likes lots of files
ulimit -n 4096 || die
# ${T} is too long a path for the tests to work
local TMPDIR
TMPDIR="$(mktemp --directory --tmpdir=/tmp ${PN}-XXXX)"
(
export TMPDIR
cleanup() { rm -rf "${TMPDIR}" || die; }
trap cleanup EXIT
addwrite "${TMPDIR}"
USE_SETUPTOOLS=1 NO_INTERNET=1 SHELL="/bin/bash" \
"${EPYTHON}" -m pytest -vv \
|| die "testing failed with ${EPYTHON}"
)
}
pkg_postinst() {
:
}

@ -1,8 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_COMPAT=( python3_10 )
inherit systemd distutils-r1

@ -1,8 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_COMPAT=( python3_10 )
inherit systemd distutils-r1

@ -1,8 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_COMPAT=( python3_10 )
DISTUTILS_USE_PEP517=setuptools
inherit systemd distutils-r1

@ -5,4 +5,8 @@
<email>bkohler@gentoo.org</email>
<name>Ben Kohler</name>
</maintainer>
<upstream>
<remote-id type="github">redacted/XKCD-password-generator</remote-id>
<remote-id type="pypi">xkcdpass</remote-id>
</upstream>
</pkgmetadata>

Binary file not shown.

@ -1,4 +1,4 @@
DIST bzip3-1.1.5.tar.xz 265340 BLAKE2B 0226a97d564f1c9d9d1089b43ae79a9e43d0b77628298ef953c45505ad8d62caaf17bf6fa357857f123cf072b8ccd3003bfe138f25284baa5a5a5cdd8a555f71 SHA512 589c2e8e675a61014c7c4e82d0f2067201e3fb97bf7cfa6b7aa23690dc739824226089ac710509cc085b22eeb671ed5e23c6493967a433d3b284cb638af71be8
DIST bzip3-1.1.8.tar.xz 269668 BLAKE2B fe85ba2ecca8e2433501c13e57856720da731b6c959340a68dd4654a516c12e034a90ff6cd6aed55dd2160c3860fdc3e60cddd47ffd00737a657a2e6c73704af SHA512 36141a48f0d5b35de4b06117ceca3c5d5cdc3df6be187856f1436751984b0154942e0eece531ee7b191cc0cd7056960de6a1ca3ec0fc2bcc7ff1d50444cd1e3e
DIST bzip3-1.2.0.tar.xz 271664 BLAKE2B 5cdc257d86c88e808f506a4a3dd2a3eb365eda5ca064737386c46a65471934b32535383d844802574cc5274f306b82fef2e1adf12eb8c0059691c6e848d5eeda SHA512 02c653b9450ff41c7a164526d12fa601eed097c3badc6f7cce9b1f38db43c18b315a9f0cc49b47e9d87548b42f1a627b11eb4f956a60176465089f94f985562a
DIST bzip3-1.2.1.tar.xz 271652 BLAKE2B ef4eae00d93b00dd6dcf2d3beb980c5b0466e8d1af5b6a1c1a493c1524fb91043cbafe404d9ac6907491ab5e894676b3802b572125e14e9a8be19f7ffa22abaa SHA512 b20a7ea52f83a4ddfab0965e34809be66729b516688f1f04b8a21adf5c3c1ad0819dab416f3e844d88d8f52dbe098bedefe63f879c8a6322ffcb19f3f1b3d2d8
DIST bzip3-1.2.2.tar.xz 275872 BLAKE2B 601f0b150dee756d204c186f6ace5106fbc90189862cb1bcba7d4f2a2dd093ded64bb8feba0f214aac39ad138a23e6ef430a5e75829dd2ebab77c79d85342197 SHA512 476876f3949ac285e86625a9a83741308910ddce5b9449c0ca02b41d9c336f759b9702f2ce6b61243f1fde59a9ef8cf926fb2e94911828d5f39e207319bf522d

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@ -13,7 +13,7 @@ SRC_URI+=" verify-sig? ( https://download.savannah.gnu.org/releases/lzip/${PN}/$
LICENSE="libstdc++" # fancy form of GPL-2+ with library exception
SLOT="0"
KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ~loong ppc ppc64 ~riscv ~s390 x86"
KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ~loong ppc ppc64 ~riscv ~s390 ~sparc x86"
BDEPEND="verify-sig? ( sec-keys/openpgp-keys-antoniodiazdiaz )"

@ -2,3 +2,5 @@ DIST xz-5.2.10.tar.gz 2123206 BLAKE2B fdd9e77e21ee65482401e0e43e0b291093a227d452
DIST xz-5.2.10.tar.gz.sig 566 BLAKE2B ce72730816d03084dc0d1559d6f2890b3ebe25a5e6b0720d4775ba2364762b5d1934a3a53f2255f6e68a1cdf42778d85d8b02ab30396b2addab619e95855f733 SHA512 48a0864abee6639116678afab6e8319eb2de903b381362c611fb77f9b6fc21df5f7d9783a250810f7ecc08380fb371a3a791ab55f5a343b68b9d4f9e414da403
DIST xz-5.4.0.tar.gz 2332619 BLAKE2B 7bcf2e48470b885ae48b1fd0d46ab504961e7c5b1358d8c57a6fe1ba32311f5ca837740cff7ba77767f0a25ef80ec68c3d43029f87af035131526cb71f961d0f SHA512 29b2cd25bb5b234b329ffe9547692d2c29be393db9d8d4ce70a66dfdaebd54433e79a89d80c57e58cd4559c3c68b9845507d5fedf3eec1c528a81e3d9ddbd811
DIST xz-5.4.0.tar.gz.sig 566 BLAKE2B 6f8a6c81c0d91cea08b218e8f8ed74cea3b471a0adb0b5aac114f85d103977052b735ce5582e4fe5354dde17a7072d776f2fd64844531c3f67e60c770ccdc10e SHA512 9bebc2ad25ff63036e6cb07e9ea6767441138fd91ef59e6f068c370296a594135479477a18f086dbf06b7dda5188fa0da09c24a6b7b3e7222e4bca70104d20d2
DIST xz-5.4.1.tar.gz 2528617 BLAKE2B f4dc8698fb97002aa0548107b448ab0dd8659cce506a83775930f95fd775601f7de1df44866310ac617853410a1915cd4e90ad4088b2fd56418e67b6f0fc4e98 SHA512 5cff8383a68fb88ecbb3770ec48af0ad5582e08de9dccd339e0b685aaa53447e59d6425caa3f63b54a674e5d78c20520876db547d156e6658ad4841660cba85b
DIST xz-5.4.1.tar.gz.sig 566 BLAKE2B f384bcf7ea6bd7d3af65b6b17b379b48826257f403bca0bed1b42697f88edbc38f38eaac03c5564fc466df670f40e2e7ee49974232da4eb849718e89234c224b SHA512 2e6c3bf04ceb29c1bac8fdde7aa09c4d0f96442515d797e06ea860f365fd94777630b0034b98006cf844083efea8642a0bf87b1ff56de6a58446a644b1fd3c1c

@ -13,5 +13,6 @@
<upstream>
<remote-id type="cpe">cpe:/a:tukaani:xz</remote-id>
<remote-id type="sourceforge">lzmautils</remote-id>
<remote-id type="github">tukaani-project/xz</remote-id>
</upstream>
</pkgmetadata>

@ -0,0 +1,122 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
EAPI=7
inherit libtool multilib multilib-minimal preserve-libs usr-ldscript
if [[ ${PV} == 9999 ]] ; then
# Per tukaani.org, git.tukaani.org is a mirror of github and
# may be behind.
EGIT_REPO_URI="
https://github.com/tukaani-project/xz
https://git.tukaani.org/xz.git
"
inherit git-r3 autotools
# bug #272880 and bug #286068
BDEPEND="sys-devel/gettext >=sys-devel/libtool-2"
else
VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/lassecollin.asc
inherit verify-sig
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="
https://github.com/tukaani-project/xz/releases/download/v${PV}/${MY_P}.tar.gz
mirror://sourceforge/lzmautils/${MY_P}.tar.gz
https://tukaani.org/xz/${MY_P}.tar.gz
verify-sig? (
https://github.com/tukaani-project/xz/releases/download/v${PV}/${MY_P}.tar.gz.sig
https://tukaani.org/xz/${MY_P}.tar.gz.sig
)
"
if [[ ${PV} != *_alpha* && ${PV} != *_beta* ]] ; then
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
S="${WORKDIR}/${MY_P}"
fi
DESCRIPTION="Utils for managing LZMA compressed files"
HOMEPAGE="https://tukaani.org/xz/"
# See top-level COPYING file as it outlines the various pieces and their licenses.
LICENSE="public-domain LGPL-2.1+ GPL-2+"
SLOT="0"
IUSE="+extra-filters nls static-libs"
if [[ ${PV} != 9999 ]] ; then
BDEPEND+=" verify-sig? ( sec-keys/openpgp-keys-lassecollin )"
fi
src_prepare() {
default
if [[ ${PV} == 9999 ]] ; then
eautopoint
eautoreconf
else
# Allow building shared libs on Solaris/x64
elibtoolize
fi
}
multilib_src_configure() {
local myconf=(
--enable-threads
$(use_enable nls)
$(use_enable static-libs static)
)
if ! multilib_is_native_abi ; then
myconf+=(
--disable-{xz,xzdec,lzmadec,lzmainfo,lzma-links,scripts}
)
fi
if ! use extra-filters ; then
myconf+=(
# LZMA1 + LZMA2 for standard .lzma & .xz files
--enable-encoders=lzma1,lzma2
--enable-decoders=lzma1,lzma2
# those are used by default, depending on preset
--enable-match-finders=hc3,hc4,bt4
# CRC64 is used by default, though some (old?) files use CRC32
--enable-checks=crc32,crc64
)
fi
if [[ ${CHOST} == *-solaris* ]] ; then
export gl_cv_posix_shell="${EPREFIX}"/bin/sh
# Undo Solaris-based defaults pointing to /usr/xpg5/bin
myconf+=( --disable-path-for-script )
fi
ECONF_SOURCE="${S}" econf "${myconf[@]}"
}
multilib_src_install() {
default
gen_usr_ldscript -a lzma
}
multilib_src_install_all() {
find "${ED}" -type f -name '*.la' -delete || die
rm "${ED}"/usr/share/doc/${PF}/COPYING* || die
}
pkg_preinst() {
preserve_old_lib /usr/$(get_libdir)/liblzma$(get_libname 0)
}
pkg_postinst() {
preserve_old_lib_notify /usr/$(get_libdir)/liblzma$(get_libname 0)
}

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Remember: we cannot leverage autotools in this ebuild in order
@ -9,7 +9,12 @@ EAPI=7
inherit libtool multilib multilib-minimal preserve-libs usr-ldscript
if [[ ${PV} == 9999 ]] ; then
EGIT_REPO_URI="https://git.tukaani.org/xz.git"
# Per tukaani.org, git.tukaani.org is a mirror of github and
# may be behind.
EGIT_REPO_URI="
https://github.com/tukaani-project/xz
https://git.tukaani.org/xz.git
"
inherit git-r3 autotools
# bug #272880 and bug #286068
@ -20,9 +25,11 @@ else
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="
https://github.com/tukaani-project/xz/releases/download/v${PV}/${MY_P}.tar.gz
mirror://sourceforge/lzmautils/${MY_P}.tar.gz
https://tukaani.org/xz/${MY_P}.tar.gz
verify-sig? (
https://github.com/tukaani-project/xz/releases/download/v${PV}/${MY_P}.tar.gz.sig
https://tukaani.org/xz/${MY_P}.tar.gz.sig
)
"

Binary file not shown.

@ -1,8 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_8 python3_9 python3_10 )
PYTHON_COMPAT=( python3_10 )
inherit distutils-r1

@ -1,8 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_8 python3_9 python3_10 python3_11 )
PYTHON_COMPAT=( python3_10 python3_11 )
inherit distutils-r1

@ -1,8 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_8 python3_9 python3_10 python3_11 )
PYTHON_COMPAT=( python3_10 python3_11 )
inherit distutils-r1

@ -1,2 +1,3 @@
DIST mkstage4-0.3.1.tar.gz 19416 BLAKE2B d9d2ec0d9c3aba6331e2500f927cdeace8b728a535f9cc4b4cb8ea93fb7dea2bc5f95be5dbea76c9948836f35bea832a9fdb2acea34518f9a4b5a456507973e0 SHA512 f58c89d0d9cc3a65cfa62cc18b0c5f172a69d4b4582e839e98ecd52cafd584395a91e5531ceb171dacd5e4975d6858ae91c5f97a26b62dab0f4ab809f7bcd4c0
DIST mkstage4-0.3.tar.gz 18648 BLAKE2B 3a881bc1ec14f5c9795d49306966b586c30a8b415542fb500b5a2af7735008832ebc64f0a166ea4e2fdb48a555bd789b352784f1b05118116ae3f634937beed6 SHA512 6971bf4b43a2fdef0b54802b010c99e95caf896c8e109c54f5a6beb4db1714ea5639e0859ba3f958eed92b9fc6a3bb613bb82de440729e71e53543d60549d2db
DIST mkstage4-0.4.tar.gz 19769 BLAKE2B 833b343f8d8deba2914c24aad07b802f551102f598fa6b149ad2aa8df3b96d189b8a29be8904e510cc4200609b4a2a19d83c510c58745b734898a119ae259313 SHA512 13f867c45fe9891754e62f2204e35260ce9c6a756eddea807800cce5cb5d9e7a1b21c27dd0d5142a13bc8b88c441cf618ba5ce6827a0644f6468759062a9e34c

@ -0,0 +1,30 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DESCRIPTION="Bash Utility for Creating Stage 4 Tarballs"
HOMEPAGE="https://github.com/TheChymera/mkstage4"
SRC_URI="https://github.com/TheChymera/mkstage4/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
RESTRICT="!test? ( test )"
DEPEND="test? ( dev-util/bats )"
RDEPEND="
app-shells/bash
app-arch/tar
"
src_install() {
newbin mkstage4.sh mkstage4
newbin exstage4.sh exstage4
einstalldocs
}
src_test() {
bats tests/* || die
}

@ -1,7 +1,7 @@
# Copyright 1999-2020 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
inherit git-r3
@ -20,5 +20,6 @@ RDEPEND="app-shells/bash
src_install() {
newbin mkstage4.sh mkstage4
newbin exstage4.sh exstage4
einstalldocs
}

Binary file not shown.

@ -5,4 +5,7 @@
<email>bkohler@gentoo.org</email>
<name>Ben Kohler</name>
</maintainer>
<upstream>
<remote-id type="github">rhboot/dumpet</remote-id>
</upstream>
</pkgmetadata>

Binary file not shown.

@ -1,2 +1,4 @@
DIST cosign-1.13.0-deps.tar.xz 381161148 BLAKE2B 63d4423c441fbf933ac7614ba5c2b0611b274be58f7e1c65528d02777a0da6ffc224e093135c0ec56b6a067dfc8f1a80216a75cac9fd31467c815519fdc48ae4 SHA512 03950de39b324708aefb0d5be44a04ebab913bd06c4ecc9dff8a15c9c044c40e4330c924e1b79d91a954bc711d96d5ce92705d85c148e67a5d6239f1b4a1d526
DIST cosign-1.13.0.tar.gz 6645872 BLAKE2B e909f87cac45dce155eb0185f3bb94dadad4aeea94b04937f288fa8d1a426028659f0277b8c4ab2c34778b7a948968fca040486257c357ef38dedfee400df792 SHA512 341928ecd7416cb4fd3023176e1f8a96f16b536810b9ea1b91d91051bfc42bc04d1fd4d03b765e39539c33ac1f94da8204f2e65f6858bc4bf7607ea78bc033c9
DIST cosign-1.13.1-deps.tar.xz 380089968 BLAKE2B 6674d7c409f1dc6a04afc11ee113a4604edf93b2b849b1d1b7273910158ac4242013e15c65bd88a1a1524d3a50a35e8292eb33819982b623ee264ad9c2b1e90a SHA512 20b74424d56a59abb0cfbe8dde41c577220ac207d144eeab3a2632c2c622b69865c80fe93545b0432156c2d45c66abf3c60f6d14f35bfad26b73e857cfe45b89
DIST cosign-1.13.1.tar.gz 6654855 BLAKE2B 85704c4bfef04d260966bc9297eb8b973627cc246ea6e293b5b7345eec3b5aef4582d1274d3e442f17f90d7a848280c31ecd9e10facbcd04b497bbc53036e93b SHA512 44fe662939fe8a4de11bd0056bad804aa706b05d56e44f6441fb85249235bdc4324cb19ecceeb39ddff28250615fb857f2727b7c1b8d5b60971b7785924d5694

@ -0,0 +1,30 @@
# Copyright 2022-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
GIT_HASH=d1c6336475b4be26bb7fb52d97f56ea0a1767f9f
inherit go-module
DESCRIPTION="container signing utility"
HOMEPAGE="https://sigstore.dev"
SRC_URI="https://github.com/sigstore/cosign/archive/v${PV}.tar.gz -> ${P}.tar.gz"
SRC_URI+=" https://dev.gentoo.org/~williamh/dist/${P}-deps.tar.xz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT="test"
src_compile() {
emake \
GIT_HASH=${GIT_HASH} \
GIT_VERSION=v${PV} \
GIT_TREESTATE=clean
}
src_install() {
dobin cosign
einstalldocs
dodoc CHANGELOG.md
}

@ -0,0 +1,27 @@
From 37779fd75dbcd02fab03a8327a1ec7a6f3273371 Mon Sep 17 00:00:00 2001
From: Thomas Parrott <thomas.parrott@canonical.com>
Date: Wed, 4 Jan 2023 09:59:37 +0000
Subject: [PATCH] lxd/storage/drivers/driver/btrfs/utils: Fix getQGroup to
suport BTRFS >= 6.0.1
Fixes #11210
Signed-off-by: Thomas Parrott <thomas.parrott@canonical.com>
---
lxd/storage/drivers/driver_btrfs_utils.go | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/lxd/storage/drivers/driver_btrfs_utils.go b/lxd/storage/drivers/driver_btrfs_utils.go
index 8f0846d2fc9f..e1468e4b1a59 100644
--- a/lxd/storage/drivers/driver_btrfs_utils.go
+++ b/lxd/storage/drivers/driver_btrfs_utils.go
@@ -247,7 +247,8 @@ func (d *btrfs) getQGroup(path string) (string, int64, error) {
var qgroup string
usage := int64(-1)
for _, line := range strings.Split(output, "\n") {
- if line == "" || strings.HasPrefix(line, "qgroupid") || strings.HasPrefix(line, "---") {
+ // Use case-insensitive field title match because BTRFS tooling changed casing between versions.
+ if line == "" || strings.HasPrefix(strings.ToLower(line), "qgroupid") || strings.HasPrefix(line, "-") {
continue
}

@ -1,54 +0,0 @@
#!/sbin/openrc-run
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
DAEMON=/usr/sbin/lxd
PIDFILE=/run/lxd.pid
depend() {
need net
need lxcfs
}
start() {
ebegin "Starting lxd service"
modprobe -f loop > /dev/null 2>&1
# Fix permissions on /var/lib/lxd and make sure it exists.
# Create a log directory for lxd with correct permissions.
install -d /var/lib/lxd --group lxd --owner root --mode 0775
install -d /var/log/lxd --group lxd --owner root
start-stop-daemon --start \
--pidfile ${PIDFILE} \
--exec ${DAEMON} \
--background \
--make-pidfile \
-- \
${LXD_OPTIONS}
eend ${?}
# Create necessary systemd paths in order for systemd containers to work on openrc host.
install -d /sys/fs/cgroup/systemd --group lxd --owner root
mount -t cgroup -o none,name=systemd systemd /sys/fs/cgroup/systemd
}
stop() {
if [ "${RC_CMD}" = restart ]; then
ebegin "Stopping lxd service (but not containers)"
# start-stop-daemon sends SIGTERM with a timeout of 5s by default.
# SIGTERM indicates to LXD that it will be stopped temporarily.
# Instances will keep running.
start-stop-daemon --stop --quiet -p "${PIDFILE}"
eend ${?}
else
ebegin "Stopping lxd service and containers, waiting 40s"
# SIGPWR indicates to LXD that the host is going down.
# LXD will do a clean shutdown of all instances.
# After 30s all remaining instances will be killed.
# We wait up to 40s for LXD.
start-stop-daemon --stop --quiet -R SIGPWR/40 -p "${PIDFILE}"
eend ${?}
fi
}

@ -1,203 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit bash-completion-r1 go-module linux-info optfeature systemd verify-sig
DESCRIPTION="Modern, secure and powerful system container and virtual machine manager"
HOMEPAGE="https://linuxcontainers.org/lxd/introduction/ https://github.com/lxc/lxd"
SRC_URI="https://linuxcontainers.org/downloads/lxd/${P}.tar.gz
https://github.com/lxc/lxd/commit/d55a590ea50a75c3cb2ea67894be8253074d6093.patch -> lxd-5.0.2-move-shellcheck-version-call-into-static-analysis.patch
https://patch-diff.githubusercontent.com/raw/lxc/lxd/pull/11011.patch -> lxd-5.8-add-tcp-keepalives-to-exec-channels.patch
verify-sig? ( https://linuxcontainers.org/downloads/lxd/${P}.tar.gz.asc )"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
IUSE="apparmor ipv6 nls"
DEPEND="acct-group/lxd
app-arch/xz-utils
>=app-containers/lxc-3.0.0[apparmor?,seccomp(+)]
dev-db/sqlite:3
dev-libs/dqlite:=
dev-libs/lzo
dev-libs/raft[lz4]
>=dev-util/xdelta-3.0[lzma(+)]
net-dns/dnsmasq[dhcp,ipv6(+)?]
sys-libs/libcap
virtual/udev"
RDEPEND="${DEPEND}
net-firewall/ebtables
net-firewall/iptables[ipv6(+)?]
sys-apps/iproute2[ipv6(+)?]
sys-fs/fuse:*
>=sys-fs/lxcfs-5.0.0
sys-fs/squashfs-tools[lzma]
virtual/acl"
BDEPEND="dev-lang/go
nls? ( sys-devel/gettext )
verify-sig? ( sec-keys/openpgp-keys-linuxcontainers )"
CONFIG_CHECK="
~CGROUPS
~IPC_NS
~NET_NS
~PID_NS
~SECCOMP
~USER_NS
~UTS_NS
~KVM
~MACVTAP
~VHOST_VSOCK
"
ERROR_IPC_NS="CONFIG_IPC_NS is required."
ERROR_NET_NS="CONFIG_NET_NS is required."
ERROR_PID_NS="CONFIG_PID_NS is required."
ERROR_SECCOMP="CONFIG_SECCOMP is required."
ERROR_UTS_NS="CONFIG_UTS_NS is required."
WARNING_KVM="CONFIG_KVM and CONFIG_KVM_AMD/-INTEL is required for virtual machines."
WARNING_MACVTAP="CONFIG_MACVTAP is required for virtual machines."
WARNING_VHOST_VSOCK="CONFIG_VHOST_VSOCK is required for virtual machines."
# Go magic.
QA_PREBUILT="/usr/bin/fuidshift
/usr/bin/lxc
/usr/bin/lxc-to-lxd
/usr/bin/lxd-agent
/usr/bin/lxd-benchmark
/usr/bin/lxd-migrate
/usr/sbin/lxd"
VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/linuxcontainers.asc
# The testsuite must be run as root.
# make: *** [Makefile:156: check] Error 1
RESTRICT="test"
GOPATH="${S}/_dist"
PATCHES=( "${DISTDIR}"/lxd-5.0.2-move-shellcheck-version-call-into-static-analysis.patch
"${DISTDIR}"/lxd-5.8-add-tcp-keepalives-to-exec-channels.patch )
src_unpack() {
if use verify-sig; then
verify-sig_verify_detached "${DISTDIR}"/${P}.tar.gz{,.asc}
fi
default
}
src_prepare() {
export GOPATH="${S}/_dist"
default
sed -i \
-e "s:\./configure:./configure --prefix=/usr --libdir=${EPREFIX}/usr/lib/lxd:g" \
-e "s:make:make ${MAKEOPTS}:g" \
Makefile || die
# Fix hardcoded ovmf file path, see bug 763180
sed -i \
-e "s:/usr/share/OVMF:/usr/share/edk2-ovmf:g" \
-e "s:OVMF_VARS.ms.fd:OVMF_VARS.fd:g" \
doc/environment.md \
lxd/apparmor/instance.go \
lxd/apparmor/instance_qemu.go \
lxd/instance/drivers/driver_qemu.go || die "Failed to fix hardcoded ovmf paths."
# Fix hardcoded virtfs-proxy-helper file path, see bug 798924
sed -i \
-e "s:/usr/lib/qemu/virtfs-proxy-helper:/usr/libexec/virtfs-proxy-helper:g" \
lxd/device/device_utils_disk.go || die "Failed to fix virtfs-proxy-helper path."
cp "${FILESDIR}"/lxd-4.0.9-r1.service "${T}"/lxd.service || die
if use apparmor; then
sed -i \
'/^EnvironmentFile=.*/a ExecStartPre=\/usr\/libexec\/lxc\/lxc-apparmor-load' \
"${T}"/lxd.service || die
fi
# Disable -Werror's from go modules.
find "${S}" -name "cgo.go" -exec sed -i "s/ -Werror / /g" {} + || die
}
src_configure() { :; }
src_compile() {
export GOPATH="${S}/_dist"
export CGO_LDFLAGS_ALLOW="-Wl,-z,now"
for k in fuidshift lxd-benchmark lxc lxc-to-lxd; do
go install -v -x "${S}/${k}" || die "failed compiling ${k}"
done
go install -v -x -tags libsqlite3 "${S}"/lxd || die "Failed to build the daemon"
# Needs to be built statically
CGO_ENABLED=0 go install -v -tags netgo "${S}"/lxd-migrate
CGO_ENABLED=0 go install -v -tags agent,netgo "${S}"/lxd-agent
use nls && emake build-mo
}
src_test() {
emake check
}
src_install() {
export GOPATH="${S}/_dist"
local bindir="_dist/bin"
dosbin ${bindir}/lxd
for l in fuidshift lxd-agent lxd-benchmark lxd-migrate lxc lxc-to-lxd; do
dobin ${bindir}/${l}
done
newbashcomp scripts/bash/lxd-client lxc
newconfd "${FILESDIR}"/lxd-4.0.0.confd lxd
newinitd "${FILESDIR}"/lxd-5.0.2.initd lxd
systemd_dounit "${T}"/lxd.service
systemd_newunit "${FILESDIR}"/lxd-containers-4.0.0.service lxd-containers.service
systemd_newunit "${FILESDIR}"/lxd-4.0.0.socket lxd.socket
dodoc AUTHORS
dodoc -r doc/*
use nls && domo po/*.mo
}
pkg_postinst() {
elog
elog "Consult https://wiki.gentoo.org/wiki/LXD for more information,"
elog "including a Quick Start."
elog "For virtual machine support, see:"
elog "https://wiki.gentoo.org/wiki/LXD#Virtual_machines"
elog
elog "Please run 'lxc-checkconfig' to see all optional kernel features."
elog
optfeature "virtual machine support" app-emulation/qemu[spice,usbredir,virtfs]
optfeature "btrfs storage backend" sys-fs/btrfs-progs
optfeature "lvm2 storage backend" sys-fs/lvm2
optfeature "zfs storage backend" sys-fs/zfs
elog
elog "Be sure to add your local user to the lxd group."
if [[ -n ${REPLACING_VERSIONS} ]] && has_version app-emulation/qemu[spice,usbredir,virtfs]; then
ewarn ""
ewarn "You're updating from <5.0.1. Due to incompatible API updates in the lxd-agent"
ewarn "product, you'll have to restart any running virtual machines before they work"
ewarn "properly."
ewarn ""
ewarn "Run: 'lxc restart your-vm' after the update for your vm's managed by lxd."
ewarn ""
fi
}

@ -14,7 +14,7 @@ SRC_URI="https://linuxcontainers.org/downloads/lxd/${P}.tar.gz
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
KEYWORDS="amd64 ~arm64 ~x86"
IUSE="apparmor nls"
DEPEND="acct-group/lxd
@ -83,7 +83,8 @@ RESTRICT="test"
GOPATH="${S}/_dist"
PATCHES=( "${DISTDIR}"/lxd-5.0.2-move-shellcheck-version-call-into-static-analysis.patch
"${DISTDIR}"/lxd-5.8-add-tcp-keepalives-to-exec-channels.patch )
"${DISTDIR}"/lxd-5.8-add-tcp-keepalives-to-exec-channels.patch
"${FILESDIR}"/lxd-5.0.2-fix-btrfs-driver-to-support-btrfs-6.0.patch )
src_unpack() {
if use verify-sig; then

Binary file not shown.

@ -1,4 +1,3 @@
DIST certbot-1.31.0.tar.gz 1371459 BLAKE2B 95fc9f29b1e91f5bc12a9b7146d00f4f3b4647eeda8e866c46c17d8d8a2443bd46cfa04758e8571e84b2bbf70bd68943c47ceaf6d830d3e5121e41d9548da051 SHA512 a2f6d7714bfc8e2c400e69be038404da138b53f0dc09e071048d560ba9e9527cc0b786b8d210b62c3d07c3aeadaee12dc0d060d144af4b5c3178576fde65b052
DIST certbot-1.32.0.tar.gz 1372897 BLAKE2B ce0be11e07186fa5ec71c52bb728161be3326b86214e13951335f460ed19b3fd7a66eaca242cb51767e0c335c02ceba1c964fc39ab79dd7c3dd2b6a383e47732 SHA512 6addbb14e69dd6206749c5659a114bc2421d948b5d01c95cacf389fc9c23a735881f3eb0c2fc18e6729e3fac95bc86b4b6a1575affe28e94b81255d4ec13b242
DIST certbot-2.0.0.tar.gz 1326589 BLAKE2B d1dc7e2c2a807f767d5dd4209b0fe079e18a8859c9a1b1dbdf62f240c123f20d5a63f01c5a92a4463b99f50b343e6956ac9a53c14c576b16bcd46c07f6f775f3 SHA512 c72d428a43d19b105a206931f8fe74e0c68dfc288a2e8667f25b9e292820eccd9ad04a11d9d3c4fcdbcb08cf2adc5f5fad12bd53b8df09dcc77c0a500a30e518
DIST certbot-2.1.0.tar.gz 1327451 BLAKE2B c4694622648427146574aa7c056d5d76dc3c4f6b8487a506d1c4996239f979d89ca26980b2ffbaab975458d0691acaa07a46a75098b6146e6e3c51e6eaa64be0 SHA512 83c3a6abeffb135cebd0d0f4561f3814039962e3b895aaf7bef6570641fccda2da04f1a6110c5e90d6ed3346402cbb3ff543b0a096e8e18f6345edd22da643cc

@ -1,39 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz -> certbot-${PV}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
S=${WORKDIR}/certbot-${PV}/acme
fi
DESCRIPTION="An implementation of the ACME protocol"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
LICENSE="Apache-2.0"
SLOT="0"
RDEPEND="
dev-python/chardet[${PYTHON_USEDEP}]
>=dev-python/cryptography-2.5.0[${PYTHON_USEDEP}]
>=dev-python/josepy-1.13.0[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-17.5.0[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
>=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
>=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
>=dev-python/requests-toolbelt-0.3.0[${PYTHON_USEDEP}]
"
distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
distutils_enable_tests pytest

@ -1,4 +1,3 @@
DIST certbot-1.31.0.tar.gz 1371459 BLAKE2B 95fc9f29b1e91f5bc12a9b7146d00f4f3b4647eeda8e866c46c17d8d8a2443bd46cfa04758e8571e84b2bbf70bd68943c47ceaf6d830d3e5121e41d9548da051 SHA512 a2f6d7714bfc8e2c400e69be038404da138b53f0dc09e071048d560ba9e9527cc0b786b8d210b62c3d07c3aeadaee12dc0d060d144af4b5c3178576fde65b052
DIST certbot-1.32.0.tar.gz 1372897 BLAKE2B ce0be11e07186fa5ec71c52bb728161be3326b86214e13951335f460ed19b3fd7a66eaca242cb51767e0c335c02ceba1c964fc39ab79dd7c3dd2b6a383e47732 SHA512 6addbb14e69dd6206749c5659a114bc2421d948b5d01c95cacf389fc9c23a735881f3eb0c2fc18e6729e3fac95bc86b4b6a1575affe28e94b81255d4ec13b242
DIST certbot-2.0.0.tar.gz 1326589 BLAKE2B d1dc7e2c2a807f767d5dd4209b0fe079e18a8859c9a1b1dbdf62f240c123f20d5a63f01c5a92a4463b99f50b343e6956ac9a53c14c576b16bcd46c07f6f775f3 SHA512 c72d428a43d19b105a206931f8fe74e0c68dfc288a2e8667f25b9e292820eccd9ad04a11d9d3c4fcdbcb08cf2adc5f5fad12bd53b8df09dcc77c0a500a30e518
DIST certbot-2.1.0.tar.gz 1327451 BLAKE2B c4694622648427146574aa7c056d5d76dc3c4f6b8487a506d1c4996239f979d89ca26980b2ffbaab975458d0691acaa07a46a75098b6146e6e3c51e6eaa64be0 SHA512 83c3a6abeffb135cebd0d0f4561f3814039962e3b895aaf7bef6570641fccda2da04f1a6110c5e90d6ed3346402cbb3ff543b0a096e8e18f6345edd22da643cc

@ -1,33 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
DISTUTILS_USE_SETUPTOOLS=rdepend
if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-apache}/${PN%-apache}/archive/v${PV}.tar.gz -> ${PN%-apache}-${PV}.tar.gz"
KEYWORDS="amd64 ~arm64 x86"
S=${WORKDIR}/${PN%-apache}-${PV}/${PN}
fi
inherit distutils-r1
DESCRIPTION="Apache plugin for certbot (Let's Encrypt Client)"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
LICENSE="Apache-2.0"
SLOT="0"
RDEPEND=">=app-crypt/acme-${PV}[${PYTHON_USEDEP}]
>=app-crypt/certbot-${PV}[${PYTHON_USEDEP}]
dev-python/python-augeas[${PYTHON_USEDEP}]
dev-python/zope-component[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]"
distutils_enable_tests pytest

@ -1,10 +1,10 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_COMPAT=( python3_10 )
inherit distutils-r1

@ -1,2 +1 @@
DIST certbot-dns-nsone-0.39.0.tar.gz 1350312 BLAKE2B 5f21c45d25754cb1ed0ad92e8d03637928a274637de09903509c7e78c40fd197e95cfa1f3effecef938d6ab8369dc6811714ddb5a93a806048e0998d1032e4f9 SHA512 17ab17a5f74e3fba58b1a8b9afe0c3656c7b2a5ea3585edb05ad84e36250c6a8d4d28bd692bc97d033c95eb0bbeff4eb84981ae0006e36d55846cd38373b86a0
DIST certbot-dns-nsone-1.18.0.tar.gz 1332615 BLAKE2B eb086710b943893025d6e1091470ca02de074232372f4c9fa21fa83a347fe54df988b9553c8cf6afd6e166b8c464d595171984c984008a872e16c0179bb774b2 SHA512 94b16ba0586e0f5d3036280c68f9976c25889ca48fbbe7aded41f0d9feba2300a3f0ff8fe321b39d8642bcdd874c7332cf2acb3187b5869fe415831f58a75a7b

@ -1,34 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{7..9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
S=${WORKDIR}/certbot-${PV}/${PN}
fi
inherit distutils-r1
DESCRIPTION="NS1 DNS Authenticator plugin for Certbot (Let's Encrypt Client)"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
RDEPEND="
>=app-crypt/certbot-0.31.0[${PYTHON_USEDEP}]
>=app-crypt/acme-0.39.0[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]
>=dev-python/dns-lexicon-2.2.1[${PYTHON_USEDEP}]"

@ -1,9 +1,9 @@
# Copyright 1999-2021 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_COMPAT=( python3_10 )
DISTUTILS_USE_SETUPTOOLS=rdepend

@ -1,4 +1,3 @@
DIST certbot-1.31.0.tar.gz 1371459 BLAKE2B 95fc9f29b1e91f5bc12a9b7146d00f4f3b4647eeda8e866c46c17d8d8a2443bd46cfa04758e8571e84b2bbf70bd68943c47ceaf6d830d3e5121e41d9548da051 SHA512 a2f6d7714bfc8e2c400e69be038404da138b53f0dc09e071048d560ba9e9527cc0b786b8d210b62c3d07c3aeadaee12dc0d060d144af4b5c3178576fde65b052
DIST certbot-1.32.0.tar.gz 1372897 BLAKE2B ce0be11e07186fa5ec71c52bb728161be3326b86214e13951335f460ed19b3fd7a66eaca242cb51767e0c335c02ceba1c964fc39ab79dd7c3dd2b6a383e47732 SHA512 6addbb14e69dd6206749c5659a114bc2421d948b5d01c95cacf389fc9c23a735881f3eb0c2fc18e6729e3fac95bc86b4b6a1575affe28e94b81255d4ec13b242
DIST certbot-2.0.0.tar.gz 1326589 BLAKE2B d1dc7e2c2a807f767d5dd4209b0fe079e18a8859c9a1b1dbdf62f240c123f20d5a63f01c5a92a4463b99f50b343e6956ac9a53c14c576b16bcd46c07f6f775f3 SHA512 c72d428a43d19b105a206931f8fe74e0c68dfc288a2e8667f25b9e292820eccd9ad04a11d9d3c4fcdbcb08cf2adc5f5fad12bd53b8df09dcc77c0a500a30e518
DIST certbot-2.1.0.tar.gz 1327451 BLAKE2B c4694622648427146574aa7c056d5d76dc3c4f6b8487a506d1c4996239f979d89ca26980b2ffbaab975458d0691acaa07a46a75098b6146e6e3c51e6eaa64be0 SHA512 83c3a6abeffb135cebd0d0f4561f3814039962e3b895aaf7bef6570641fccda2da04f1a6110c5e90d6ed3346402cbb3ff543b0a096e8e18f6345edd22da643cc

@ -1,35 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
DISTUTILS_USE_SETUPTOOLS=rdepend
if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
S=${WORKDIR}/${P}/${PN}
else
SRC_URI="https://github.com/${PN%-nginx}/${PN%-nginx}/archive/v${PV}.tar.gz -> ${PN%-nginx}-${PV}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 x86"
S=${WORKDIR}/${PN%-nginx}-${PV}/${PN}
fi
inherit distutils-r1
DESCRIPTION="Nginx plugin for certbot (Let's Encrypt Client)"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
RDEPEND="
>=app-crypt/acme-${PV}[${PYTHON_USEDEP}]
>=app-crypt/certbot-${PV}[${PYTHON_USEDEP}]
>=dev-python/pyopenssl-17.5.0[${PYTHON_USEDEP}]
>=dev-python/pyparsing-2.2.1[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]"
distutils_enable_tests pytest

@ -1,4 +1,3 @@
DIST certbot-1.31.0.tar.gz 1371459 BLAKE2B 95fc9f29b1e91f5bc12a9b7146d00f4f3b4647eeda8e866c46c17d8d8a2443bd46cfa04758e8571e84b2bbf70bd68943c47ceaf6d830d3e5121e41d9548da051 SHA512 a2f6d7714bfc8e2c400e69be038404da138b53f0dc09e071048d560ba9e9527cc0b786b8d210b62c3d07c3aeadaee12dc0d060d144af4b5c3178576fde65b052
DIST certbot-1.32.0.tar.gz 1372897 BLAKE2B ce0be11e07186fa5ec71c52bb728161be3326b86214e13951335f460ed19b3fd7a66eaca242cb51767e0c335c02ceba1c964fc39ab79dd7c3dd2b6a383e47732 SHA512 6addbb14e69dd6206749c5659a114bc2421d948b5d01c95cacf389fc9c23a735881f3eb0c2fc18e6729e3fac95bc86b4b6a1575affe28e94b81255d4ec13b242
DIST certbot-2.0.0.tar.gz 1326589 BLAKE2B d1dc7e2c2a807f767d5dd4209b0fe079e18a8859c9a1b1dbdf62f240c123f20d5a63f01c5a92a4463b99f50b343e6956ac9a53c14c576b16bcd46c07f6f775f3 SHA512 c72d428a43d19b105a206931f8fe74e0c68dfc288a2e8667f25b9e292820eccd9ad04a11d9d3c4fcdbcb08cf2adc5f5fad12bd53b8df09dcc77c0a500a30e518
DIST certbot-2.1.0.tar.gz 1327451 BLAKE2B c4694622648427146574aa7c056d5d76dc3c4f6b8487a506d1c4996239f979d89ca26980b2ffbaab975458d0691acaa07a46a75098b6146e6e3c51e6eaa64be0 SHA512 83c3a6abeffb135cebd0d0f4561f3814039962e3b895aaf7bef6570641fccda2da04f1a6110c5e90d6ed3346402cbb3ff543b0a096e8e18f6345edd22da643cc

@ -1,42 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{8..10} )
DISTUTILS_USE_SETUPTOOLS=rdepend
if [[ ${PV} == 9999* ]]; then
EGIT_REPO_URI="https://github.com/certbot/certbot.git"
inherit git-r3
else
SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="amd64 ~arm ~arm64 ~ppc64 ~riscv x86"
fi
S=${WORKDIR}/${P}/${PN}
inherit distutils-r1
DESCRIPTION="Let's encrypt client to automate deployment of X.509 certificates"
HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
LICENSE="Apache-2.0"
SLOT="0"
IUSE="selinux"
RDEPEND="
>=app-crypt/acme-${PV}[${PYTHON_USEDEP}]
>=dev-python/ConfigArgParse-0.9.3[${PYTHON_USEDEP}]
>=dev-python/configobj-5.0.6[${PYTHON_USEDEP}]
>=dev-python/cryptography-2.5.0[${PYTHON_USEDEP}]
>=dev-python/distro-1.0.1[${PYTHON_USEDEP}]
>=dev-python/josepy-1.13.0[${PYTHON_USEDEP}]
>=dev-python/parsedatetime-2.4[${PYTHON_USEDEP}]
dev-python/pyrfc3339[${PYTHON_USEDEP}]
>=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
dev-python/zope-component[${PYTHON_USEDEP}]
dev-python/zope-interface[${PYTHON_USEDEP}]
selinux? ( sec-policy/selinux-certbot )"
distutils_enable_tests pytest

@ -1,9 +1,9 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_COMPAT=( python3_{8..11} )
DISTUTILS_USE_SETUPTOOLS=no
inherit distutils-r1

@ -1,10 +1,10 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=flit
PYTHON_COMPAT=( python3_{8..10} )
PYTHON_COMPAT=( python3_{8..11} )
inherit distutils-r1

@ -1,2 +1 @@
DIST pdfcrack-0.19.tar.gz 35383 BLAKE2B ddbbd813a8b76fd0b643ac5a9f63f8d82f76d2514e43dd0d4a4e4cc4feffb4b01598fc5438aef77f98b48c3df1f04139aa8db76d77eb3ed9d67a36a3b8ef57fb SHA512 e58819e7d90db9a66ebf9509c0b8aace7f8e7dbf5f8083edc70c3f2ca28cf16476bbdbaa77f7c563dcf824e440ca0df03e91d6aaf2a0435ec8f349f4e19ee626
DIST pdfcrack-0.20.tar.gz 35647 BLAKE2B 31e0d1324254d660e5cb6cc57e401bf4fe7574630dcd902d73621a5e62c32e13f9cc6a9812c3ab904160727b27c08869f8f9f5b93657db5941a05fa10b49a4ce SHA512 50298aeec8a50b929d1440ea644bacb6afad638552948112b3fb2744124188e0cb52f67a804d76b09f747040aea56eadbab88e90481be8fce8e8147ed4c00188

@ -1,27 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit toolchain-funcs
DESCRIPTION="Tool for recovering passwords and content from PDF-files"
HOMEPAGE="http://pdfcrack.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc ~x86"
PATCHES=(
"${FILESDIR}/${PN}-0.14-cflags.patch"
)
src_compile() {
emake CC="$(tc-getCC)"
}
src_install() {
dobin pdfcrack
dodoc changelog README
}

@ -0,0 +1,20 @@
From 7916f90421ecb9a75e32f0284459bcc9a3fd02b0 Mon Sep 17 00:00:00 2001
From: Justus Winter <justus@sequoia-pgp.org>
Date: Wed, 19 Oct 2022 14:55:58 +0200
Subject: [PATCH] openpgp: Explicitly drop the Box.
- Appeases the compiler that now complains about the unused result.
--- a/openpgp/src/crypto/mem.rs
+++ b/openpgp/src/crypto/mem.rs
@@ -159,7 +159,7 @@ impl Drop for Protected {
unsafe {
let len = self.len();
memsec::memzero(self.as_mut().as_mut_ptr(), len);
- Box::from_raw(self.0);
+ drop(Box::from_raw(self.0));
}
}
}
--
2.38.2

@ -1,4 +1,4 @@
# Copyright 2021-2022 Gentoo Authors
# Copyright 2021-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Generate base ebuild via
@ -412,6 +412,10 @@ KEYWORDS="amd64 ~ppc64"
S="${WORKDIR}/${PN}-v${PV}"
PATCHES=(
"${FILESDIR}"/${PN}-0.27.0-Explicitly-drop-the-Box.patch
)
QA_FLAGS_IGNORED="usr/bin/sq"
COMMON_DEPEND="

Binary file not shown.

@ -1,2 +1,3 @@
DIST eclass-manpages-20220824.tar.xz 407700 BLAKE2B 7384e2d9100cdb8dca50bc5156b7f55f5ae52279d6c6563b0da3f6f11d49fcd24bfc7ae452587768a33489ddf83171f4f65433da3450e08ffb0125d2b3404d3c SHA512 ddac3f75ef6d228fd59ea323c94f6e7d725e41ecb7a7b49946e15ebc1c0fb97ebb9bbd464aef991944f1e5ef42198f0cb85a7ad6c5a96eb0524b191485c6421e
DIST eclass-manpages-20220925.tar.xz 410196 BLAKE2B a2fa7b4d6367dc236af8d3cdd3277c144a27bda9339be1041d426d12ccdd7427b1e18f30695ef93e48617efbc51754ef995881f963f24beb30d2f5bbb935e6bb SHA512 11e7886077a5d9259afaa12e3dcaa2c9b6588f5052fd92be82569a7d56971d68614798dfa548e8fe1f8e5313fc074ec7fae20cd524681668f82d20b11620b37f
DIST eclass-manpages-20230110.tar.xz 408684 BLAKE2B ebd11e8d78731ecd043b8cea74818fbded074c07a9050fec59cfae7204187310fad37945b59c2381cb182bd55026165fc92c4c7a29b67e396b00bac6850f0f94 SHA512 30e0e1e97ca6b76a002c112ddc4ae7647decd5ce966b7f54d4e02adaf6bcbcd54f95ec41eb7ef16677bbf01d762eb7cdc974f07d04dbdf2039c372aa3228f4cb

@ -0,0 +1,24 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
# Instructions to make a dist tarball:
# git clone https://github.com/mgorny/eclass-to-manpage.git
# cd eclass-to-manpage
# make dist ECLASSDIR=~/g/eclass/
DESCRIPTION="Collection of Gentoo eclass manpages"
HOMEPAGE="https://github.com/mgorny/eclass-to-manpage"
SRC_URI="https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
# Keep the keywords stable. No need to change to ~arch.
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-solaris"
BDEPEND="sys-apps/gawk"
src_install() {
emake install DESTDIR="${D}" PREFIX="${EPREFIX}/usr"
}

Binary file not shown.

@ -1 +1,2 @@
DIST okteta-0.26.10.tar.xz 1066052 BLAKE2B 938dfbfb40bc603c64d80085386873868bd1aa16040016f72e77c63a1c6eab5d46363b227974a10e34ab514bbcca25fef39a193ea635439ad97a42178326240e SHA512 746a838cf2fce769fd3660189f070c2a2105f2b2eab7c231dd6be42f2e71518afaef2c77a9d9906847ef1febb46fce66079d485459f6c22545e72feca7f747ea
DIST okteta-0.26.9.tar.xz 990484 BLAKE2B 97430ed8a5c8dda422dfd43a91c04fe778581caf475c74b324a26d772777030d73ed799dafa6662b225258ae76c1c37bd38c7d3c97d89d28928106d10f84308a SHA512 cc98f7923a26de9548944ebc207284879607707f41065c847707ac5876c04d31926bb4edf82062cd4d6ade2df64d7a2363d8dfa711524574514ca0dd260b4a9f

@ -0,0 +1,69 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
ECM_DESIGNERPLUGIN="true"
ECM_HANDBOOK="forceoptional"
ECM_TEST="true"
KFMIN=5.92.0
QTMIN=5.15.5
VIRTUALX_REQUIRED="test"
inherit ecm kde.org
DESCRIPTION="Hex editor by KDE"
HOMEPAGE="https://apps.kde.org/okteta/"
if [[ ${KDE_BUILD_TYPE} = release ]]; then
SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
fi
LICENSE="GPL-2 handbook? ( FDL-1.2 )"
SLOT="5"
IUSE="crypt"
DEPEND="
>=dev-qt/qtdeclarative-${QTMIN}:5
>=dev-qt/qtgui-${QTMIN}:5
>=dev-qt/qtnetwork-${QTMIN}:5
>=dev-qt/qtprintsupport-${QTMIN}:5
>=dev-qt/qtscript-${QTMIN}:5[scripttools]
>=dev-qt/qtwidgets-${QTMIN}:5
>=dev-qt/qtxml-${QTMIN}:5
>=kde-frameworks/kbookmarks-${KFMIN}:5
>=kde-frameworks/kcmutils-${KFMIN}:5
>=kde-frameworks/kcodecs-${KFMIN}:5
>=kde-frameworks/kcompletion-${KFMIN}:5
>=kde-frameworks/kconfig-${KFMIN}:5
>=kde-frameworks/kconfigwidgets-${KFMIN}:5
>=kde-frameworks/kcoreaddons-${KFMIN}:5
>=kde-frameworks/kcrash-${KFMIN}:5
>=kde-frameworks/kdbusaddons-${KFMIN}:5
>=kde-frameworks/ki18n-${KFMIN}:5
>=kde-frameworks/kiconthemes-${KFMIN}:5
>=kde-frameworks/kio-${KFMIN}:5
>=kde-frameworks/kjobwidgets-${KFMIN}:5
>=kde-frameworks/knewstuff-${KFMIN}:5
>=kde-frameworks/kparts-${KFMIN}:5
>=kde-frameworks/kservice-${KFMIN}:5
>=kde-frameworks/kwidgetsaddons-${KFMIN}:5
>=kde-frameworks/kxmlgui-${KFMIN}:5
crypt? ( >=app-crypt/qca-2.3.0:2[qt5(+)] )
"
RDEPEND="${DEPEND}"
src_configure() {
local mycmakeargs=(
-DOMIT_EXAMPLES=ON
$(cmake_use_find_package crypt Qca-qt5)
)
ecm_src_configure
}
src_test() {
local myctestargs=( -j1 )
ecm_src_test
}

Binary file not shown.

@ -1,4 +1,4 @@
DIST compat-28.1.1.3.tar.gz 72597 BLAKE2B 82186713370fed7f97eb057cb330d77c1d758224ad37c0b7fbbd21221b0d2ffd68be805483f3e9577866f02079c83a5686918c87a1ed7c67c9acdd64aa3a560b SHA512 d65e5ce666607cd6d26cf771d6878caeb6641aff0fc924ec901955c1a03b6fe42e3527220448fa92a8d6c3f5bd65e6f915ed4ada1be01a29d7919f916826e48f
DIST compat-28.1.2.1.tar.gz 82434 BLAKE2B daf82d8f44af3f1b20dd25d042f401623d84f64a54c3b919714cd13fe4100d3b332e323a5fea5a643cdfc2dfe8b76a6a5684ad676fc595901df50a43e44b82f2 SHA512 7d2697b9b5bce25f44ab67438dd2b99bbd5072ed15193264cbd35473796d711d2b8f40db126478ea3c5de55609881ee20555e8a91d075df03f20610164f05d89
DIST compat-28.1.2.2.tar.gz 82479 BLAKE2B 154104a3d1cf953f712de357d21736d648289dbdaccb0f9ca5cbd44cb1e41b9b7b4b52394548658b47216f9205f28d2020b015d22b5d0c4df63c79794ddfc56e SHA512 65cafbf4d48815f447e412c4dbd87c5bd3357df5302660a5296582648926f8e3fe96b4b90b53674f18be8affe66af95c8db7e58d7a9dd63d2b57983962e5a53c
DIST compat-29.1.0.1.tar.gz 98171 BLAKE2B 46fd4052b7e3f6deb7789cb50d2d6c19d698531de04a171b3afc9035ed6ff3e204ee58e770eb699c05d722141b409e34dc13df1af6e3cda275ff107759a0a957 SHA512 51af7d1f87c838d421f017f2bdcce215e6951bd69181abff64c2c87f6ff1aac1b5f29e0dc91be2f48589e9a6092007a99d987791213801c7e0d89a372dfa4b72
DIST compat-29.1.1.0.tar.gz 94072 BLAKE2B 675f0bbf4411fb0d2c2e8f77bcd62dbe56da1f052bd6e390dade0c8075eaa480bb387280a29ae09396a2f4bf27746ae1065d38dd1b7882b9c8c0ec3a4eb776e5 SHA512 5c7b093314cd8f8d8cbab4f470a64d3f104d0e79d2881f2f2309700c6fe5f58a72a8a65379868edba33c0b6af1d43f1474e2fefc65c033f39981d29fca35259a

@ -1,19 +1,21 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
NEED_EMACS=24
NEED_EMACS=24.4
inherit elisp
DESCRIPTION="Compatibility libraries for Emacs"
HOMEPAGE="https://git.sr.ht/~pkal/compat/"
SRC_URI="https://git.sr.ht/~pkal/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
HOMEPAGE="https://github.com/emacs-compat/compat/
https://git.sr.ht/~pkal/compat/"
SRC_URI="https://github.com/emacs-compat/${PN}/archive/${PV}.tar.gz
-> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
BDEPEND="sys-apps/texinfo"

@ -1,12 +1,15 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>gnu-emacs@gentoo.org</email>
<name>Gentoo GNU Emacs project</name>
</maintainer>
<stabilize-allarches/>
<stabilize-allarches />
<upstream>
<bugs-to>https://github.com/emacs-compat/compat/issues/</bugs-to>
<remote-id type="github">emacs-compat/compat</remote-id>
<remote-id type="sourcehut">~pkal/compat</remote-id>
</upstream>
</pkgmetadata>

@ -1,3 +1,4 @@
DIST emms-10.tar.xz 171792 BLAKE2B 33368d62c170d3a3cb024887cc421ed69c0e2fc4c9af8676bb8d056b13981b75e3d4acaca9e0276062ed19060c97e5a62b07d51279dc6bf1e9565c1c2a7f17f6 SHA512 383a8ad2769021969a522125a0d588b3caea82345067d59cf21116e3dfd54a2ec60d9be60b479dfd5f14804b7e5f8f513e64bcae0ff936ea3bb9603074116b7a
DIST emms-11.tar.gz 205268 BLAKE2B 7461b1873710747dbc5f7b24c33adb1e7303a5e88cbe056d45b5fd5bea9a5c8c3ab9128468bae761b088cbfcf523274677d5865b137853ea6970883a5897ee83 SHA512 9119998fbf72b1b957ffe96acc35a152efd0215a28356fb05efc358075b8baa9487a35782422e3b53605ea899ff390b55636d8d36877c3f12c5e5400bbb5bb95
DIST emms-12.tar.gz 206897 BLAKE2B f65a3142c3de5bba9244e08de0f6769d880fb3df2dddce8bcb8ddfe61f68426c5821b49483631629eb3d0c3b9e23d1754ea824bc0888230b35cf1fab1d6dc1f2 SHA512 1f3781fd268208f5a15675f8dff88a47e82ea9dc746d7053aaa04141e38e95365596c21fc8b66e17253099b76e0c5e3a1fc04418c0cb7151836375aabfe863e7
DIST emms-13.tar.gz 212490 BLAKE2B 02aef30c6d21f761feae4a96ce3dab2a3e091b996f3c2a9221466fb6829e3615832450703df4e532af371c8757b1b45879fe201be0528130cdbb5179860a80b2 SHA512 1b88ae34e18abf38f7b100ff36ed26229654a30a0d1e2733e70c621d7d298a4c8f63500ae9239243fb72964ee31431dde9b9e43bdd7b88ef7028d8621328e6c7

@ -0,0 +1,40 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit elisp toolchain-funcs
DESCRIPTION="The Emacs Multimedia System"
HOMEPAGE="https://www.gnu.org/software/emms/
https://www.emacswiki.org/emacs/EMMS"
SRC_URI="https://git.savannah.gnu.org/cgit/emms.git/snapshot/${P}.tar.gz"
LICENSE="GPL-3+ FDL-1.1+"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
RDEPEND="media-libs/taglib"
BDEPEND="${RDEPEND}"
# EMMS can use almost anything for playing media files therefore the dependency
# possibilities are so broad that we refrain from setting anything explicitly
# in DEPEND/RDEPEND.
SITEFILE="50${PN}-gentoo.el"
src_compile() {
emake CC="$(tc-getCC)" CXX="$(tc-getCXX)" all emms-print-metadata
}
src_install() {
elisp-install ${PN} *.el *.elc
elisp-site-file-install "${FILESDIR}/${SITEFILE}"
exeinto /usr/bin
doexe src/emms-print-metadata
doinfo doc/emms.info*
doman emms-print-metadata.1
dodoc AUTHORS NEWS README THANKGNU
}

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save